#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58e68695, "crypto_alloc_ahash" },
	{ 0xb41f3809, "__host1x_client_init" },
	{ 0x5ab8176b, "devm_platform_ioremap_resource" },
	{ 0x2056fc8a, "devm_kmalloc" },
	{ 0xa5ff9b95, "platform_driver_unregister" },
	{ 0x3090d72b, "host1x_job_pin" },
	{ 0x530396db, "crypto_engine_unregister_aead" },
	{ 0x7ec3cd9f, "crypto_shash_tfm_digest" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xea3262bd, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7953cd9e, "host1x_syncpt_request" },
	{ 0x28dd9ae1, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x18844b54, "host1x_job_put" },
	{ 0x14f40da8, "crypto_engine_exit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x875971b9, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7031b1c9, "host1x_job_unpin" },
	{ 0xe6e1ed4b, "crypto_destroy_tfm" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x52e4b863, "crypto_engine_register_skcipher" },
	{ 0x60d69a4f, "crypto_finalize_hash_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x27a6a32e, "crypto_engine_unregister_skcipher" },
	{ 0xfe2bc123, "host1x_syncpt_put" },
	{ 0x4bd8404e, "crypto_transfer_hash_request_to_engine" },
	{ 0xd5667f34, "_dev_err" },
	{ 0x7a901d6, "crypto_shash_setkey" },
	{ 0x9c610113, "host1x_job_submit" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x47b5a4e7, "dma_alloc_attrs" },
	{ 0x14a67205, "crypto_engine_start" },
	{ 0xf846c970, "crypto_engine_register_aead" },
	{ 0xf7ff5da, "host1x_device_init" },
	{ 0x7eb11be9, "crypto_engine_unregister_ahash" },
	{ 0x52bcac9e, "__host1x_client_register" },
	{ 0xee184984, "crypto_ahash_finup" },
	{ 0xa1b81f4d, "crypto_engine_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0x45ab1037, "device_get_match_data" },
	{ 0xa581e56e, "crypto_transfer_aead_request_to_engine" },
	{ 0xf4aa17df, "host1x_driver_unregister" },
	{ 0xb29e03b7, "crypto_ahash_digest" },
	{ 0x66c34f0d, "host1x_syncpt_wait" },
	{ 0xc64356e8, "host1x_syncpt_get" },
	{ 0x3eadeff6, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x7780bcaa, "host1x_job_alloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe3be596, "__platform_driver_register" },
	{ 0x51a589c9, "dma_set_coherent_mask" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x7e9fe728, "host1x_client_unregister" },
	{ 0x8f5afdb3, "crypto_finalize_aead_request" },
	{ 0x5104a437, "dma_free_attrs" },
	{ 0xd2de46bd, "dma_map_sgtable" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xa8a992ba, "host1x_channel_request" },
	{ 0x2b9a6c61, "crypto_engine_alloc_init" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x79eb284a, "host1x_device_exit" },
	{ 0xa3c6f172, "crypto_transfer_skcipher_request_to_engine" },
	{ 0xedf011d5, "host1x_job_add_gather" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa089194, "dma_set_mask" },
	{ 0xc72a5ae, "host1x_driver_register_full" },
	{ 0xe438d58f, "dma_get_sgtable_attrs" },
	{ 0xa2eada95, "host1x_channel_put" },
	{ 0x5c2cb57c, "dev_err_probe" },
	{ 0x5c448286, "devm_clk_get_enabled" },
	{ 0x1d50faa8, "dma_unmap_sg_attrs" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x54de5840, "crypto_alloc_shash" },
	{ 0xfc57e178, "crypto_engine_register_ahash" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xd83c9a5a, "host1x_syncpt_id" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "host1x,crypto_engine");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aes");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aesC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hash");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hashC*");

MODULE_INFO(srcversion, "2452D85258E9B7F8B659228");
MODULE_INFO(rhelversion, "9.6");
