#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");
KSYMTAB_FUNC(drm_fbdev_generic_setup, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xe7e1dbf6, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xf9411ce7, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xe20eb020, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x3dffed1f, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xfad530c6, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x466fb4fd, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x2b64048a, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x3900ac74, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x9d1ac664, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x052eff50, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x4da15842, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xfa921b59, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x744b900c, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xe1d0f780, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x88991ce5, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x48349427, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xcf99eeed, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x51ea1afb, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x9ba5ebba, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xe8c76482, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x06ea75d6, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xa85a878b, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xcea0ecf4, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x0d0f7d28, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x2859eee3, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x369dfc3f, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xc0aaf9fc, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xa38c45d1, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x9713323e, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x4a88b5be, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xbae4a514, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xfcf81a2f, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x6d7ce8f0, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x66abc34f, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x9d4bc876, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x94c7d6e3, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xec884a3e, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xd932ebe9, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x0b67e49f, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xe66153d7, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xe12082ca, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0x575a812e, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x58ff3ce4, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x3e234c09, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xa854a5e7, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x2ed2fcb6, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x74cd8136, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xa90d1a03, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x76d1a2fb, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x5ec59e18, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x7d82a9f7, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x79a1b60f, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xb7b93cea, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xc8335cd6, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xde00e05b, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x23990d4d, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x11203428, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x13988467, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x9d9d8207, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x1f85f5ef, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x04dbad89, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xb68fde9f, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x66e91367, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0x6af4d1e3, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xfd8601df, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xb3112f3a, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0x5c2ee104, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x95eb2492, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x20447129, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x4037530f, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xfcab5f1f, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xb4a65c3a, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x56f2d260, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x8b312502, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x3db2ed39, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x38772e48, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x8fc8b0e5, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xa6860461, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x43669126, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x568c59d3, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x2e9255aa, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x242f212b, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xd6c2a604, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x49557f98, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xf6e8e094, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xd90b763e, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x61c135cd, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x2c0b4265, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x01f85656, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0x56f9474c, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xeb113307, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xa5ee1a68, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x4c417843, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x2daa4079, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x3df28260, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x36c1c9e9, "");
SYMBOL_CRC(drm_flip_work_queue, 0xa2f8ccec, "");
SYMBOL_CRC(drm_flip_work_commit, 0x8e33f991, "");
SYMBOL_CRC(drm_flip_work_init, 0x06df882d, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xc6ee82b5, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x3bb71c97, "");
SYMBOL_CRC(drm_fb_swab, 0xb3c8b0b8, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xd5bbebe1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xd023ac83, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x4a90b2ec, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xa8319a40, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xac5f0057, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0xa81cc2a9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xad9a80a5, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x024b4401, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x2ea5dd33, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x70c6dc9b, "");
SYMBOL_CRC(drm_fb_blit, 0x6c483241, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x4064b95d, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xbcbaf4c1, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xb4a048b2, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x9c57f555, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xf3beb955, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x55f8d0e6, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xf376401a, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x0dd6950e, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x7813bdf2, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x93fd9a0b, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x16bc5a45, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x8b5004b4, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x2e41b017, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x6ce034b1, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x6f922ef4, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x97a14626, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xfdff9d88, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x2db82d57, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x857d47b3, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x7109cad1, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xfd52af4a, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x591d0f00, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xc4f6b1ff, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x3a2872be, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x0b74dd3f, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x6e63c655, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0xd691e7be, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x3974b822, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xfd8944d1, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x01f4e870, "");
SYMBOL_CRC(drm_crtc_init, 0x1c9413c0, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xe332f7a1, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x9f1a55b1, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x4387a326, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x9f925693, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x56757bcb, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x321197c3, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0xc4702a1b, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x30fe3650, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x5de60343, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x2694370f, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0xdca6be6a, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x45b15ff5, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x1c57390d, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x2d246135, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x0b70a272, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x208cff47, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x052236bf, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xb2763766, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xa4076ac0, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xdef2045b, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xe2e0ca96, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x98d193e2, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0xb84755fe, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x84d98ae0, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x24f05be5, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xce8ab148, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x2637dbfa, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xbc99707a, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xeb30735c, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x544d05d4, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x0b81e370, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0xac188bf6, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xb7ee13dc, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xaab7e0a8, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x728c0109, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xa543db13, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0xa7b911db, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0x65cbb0ea, "");
SYMBOL_CRC(drmm_of_get_bridge, 0x1d0a42ba, "");
SYMBOL_CRC(drm_fbdev_generic_setup, 0xdce66ce0, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0xc8804a71, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x4af70aa5, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xb958ce3d, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x26c7f1d8, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0xe40b0923, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x14943e79, "");
SYMBOL_CRC(drm_fb_helper_init, 0x04809e95, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x6db2eef4, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xdc9d1792, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x72740e11, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x1e8325d9, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xb6152c4f, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x45edcbaf, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xdcb31108, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x87459451, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0xa9ca7c06, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x7d4a7604, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0xc20655e1, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0xfc507efd, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x75a7e810, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x86abf039, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xebe7a4e9, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x9297ff1c, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x3af36556, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xecc270f8, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x553af422, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd76a8c7, "unregister_framebuffer" },
	{ 0x35d7427e, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x741e98d1, "drm_framebuffer_cleanup" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x26129c61, "drm_client_register" },
	{ 0xc0b73007, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x407f5425, "drm_panel_get_modes" },
	{ 0xa3897165, "drm_gem_vmap_unlocked" },
	{ 0x2a716c1f, "try_module_get" },
	{ 0xe32f2c78, "drm_connector_list_update" },
	{ 0xba71380, "drm_bridge_add" },
	{ 0x55762257, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x1231795c, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x2056fc8a, "devm_kmalloc" },
	{ 0x656ab356, "drm_client_rotation" },
	{ 0xf641447a, "drm_client_buffer_vmap" },
	{ 0x1df10f08, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6e9041fe, "drm_framebuffer_init" },
	{ 0xcbf88863, "drm_mode_validate_driver" },
	{ 0x19ee744a, "drm_atomic_add_affected_planes" },
	{ 0xab0c6693, "dma_buf_end_cpu_access" },
	{ 0x30e78d75, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3a70cb0d, "drm_mode_probed_add" },
	{ 0x4148127f, "drm_atomic_add_affected_connectors" },
	{ 0x465cef6e, "drm_gem_vunmap_unlocked" },
	{ 0xc4f527cc, "drm_bridge_hpd_enable" },
	{ 0x4af88045, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x79b50e91, "finish_wait" },
	{ 0xeb889d1a, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xe154e437, "drm_client_framebuffer_delete" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xa9c963ce, "drm_client_framebuffer_create" },
	{ 0x93bd9e73, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x85135566, "drm_mode_object_get" },
	{ 0xbceff3e1, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x73e88dd3, "drm_driver_legacy_fb_format" },
	{ 0x16ca2cf5, "drm_crtc_cleanup" },
	{ 0x33cf0443, "drm_connector_list_iter_begin" },
	{ 0x4b09da3, "fb_deferred_io_init" },
	{ 0xd9bd682f, "drm_mode_set_config_internal" },
	{ 0x1181ff0c, "fb_deferred_io_cleanup" },
	{ 0x51dc6b47, "prepare_to_wait_event" },
	{ 0x7ad9929b, "framebuffer_alloc" },
	{ 0x42b6fde6, "drm_encoder_cleanup" },
	{ 0xc887fae6, "drm_connector_unregister" },
	{ 0xbe1e50e0, "drm_modeset_acquire_init" },
	{ 0xa4f2a88c, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x9c361ca7, "drm_client_modeset_probe" },
	{ 0xd6bcaa10, "drm_warn_on_modeset_not_all_locked" },
	{ 0x368402d7, "drm_plane_get_damage_clips" },
	{ 0x3caf7940, "devres_add" },
	{ 0xf8bf3d68, "dma_fence_wait_timeout" },
	{ 0xac30c721, "drm_add_modes_noedid" },
	{ 0x492e721b, "drm_bridge_remove" },
	{ 0xf007435b, "drm_mode_object_put" },
	{ 0x58274780, "dev_driver_string" },
	{ 0x55d78b75, "drm_crtc_vblank_get" },
	{ 0x2347164e, "drm_gem_object_lookup" },
	{ 0x1ee7de0f, "drm_crtc_send_vblank_event" },
	{ 0x6f5b9d81, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x2ed3c600, "drm_mode_debug_printmodeline" },
	{ 0xf6405e90, "fb_sys_write" },
	{ 0xeaf8c00c, "drm_atomic_normalize_zpos" },
	{ 0x1c190f56, "drm_edid_connector_update" },
	{ 0x5da7e5d0, "drm_sysfs_hotplug_event" },
	{ 0x334bf6fb, "drm_bridge_hpd_disable" },
	{ 0xc0be3de9, "sys_imageblit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd335fc, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfebd89aa, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xdb217e64, "sys_fillrect" },
	{ 0x3877b833, "drm_connector_list_iter_end" },
	{ 0x83ca7fde, "drm_atomic_set_crtc_for_plane" },
	{ 0xf7a2d7a2, "drm_bridge_edid_read" },
	{ 0x8e642898, "drm_client_modeset_dpms" },
	{ 0x8c115d5f, "drm_mode_prune_invalid" },
	{ 0x48275968, "drm_client_dev_hotplug" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0xaadf4f42, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xe017f98a, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x7627e34a, "module_put" },
	{ 0x9b44df6d, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x6b66572d, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7ce6eeae, "drm_client_init" },
	{ 0x745369df, "drm_crtc_wait_one_vblank" },
	{ 0xc4c401a9, "drm_crtc_next_vblank_start" },
	{ 0xe76d2d0c, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xbcf0a8e7, "drm_modeset_lock" },
	{ 0x5ff313b5, "drm_client_modeset_commit_locked" },
	{ 0x5b1b276e, "drm_modeset_unlock" },
	{ 0x9adf8e7f, "drm_panel_disable" },
	{ 0xc041249, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa0546f46, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xac385964, "devm_kfree" },
	{ 0xd5667f34, "_dev_err" },
	{ 0x38130023, "drm_writeback_cleanup_job" },
	{ 0x92faa00f, "drm_modeset_lock_all_ctx" },
	{ 0xff2813c0, "i2c_unregister_device" },
	{ 0x213cfdf7, "drm_atomic_set_fb_for_plane" },
	{ 0x904ad8f5, "__drm_universal_plane_alloc" },
	{ 0xb16b0bc3, "drm_connector_init_with_ddc" },
	{ 0x697129e5, "drm_edid_connector_add_modes" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xe334b4c7, "__devres_alloc_node" },
	{ 0x5a6d4e0, "drm_edid_read" },
	{ 0x185fe583, "drm_crtc_commit_wait" },
	{ 0x9e632a8f, "drm_dev_has_vblank" },
	{ 0x562c4ff6, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xe160b4b1, "__drm_atomic_helper_disable_plane" },
	{ 0x389f8ad6, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xfa3ae6e4, "drm_gem_handle_create" },
	{ 0x425e516b, "drm_atomic_set_crtc_for_connector" },
	{ 0x298ece86, "drm_analog_tv_mode" },
	{ 0x3d14c64d, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xac2fa187, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x4d44902e, "drm_crtc_vblank_put" },
	{ 0x15e37f40, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x830291d4, "__drm_dev_dbg" },
	{ 0x73b2d34, "drm_plane_get_damage_clips_count" },
	{ 0x9538e9ea, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x4e8f1585, "fb_deferred_io_mmap" },
	{ 0x7d48cffd, "drm_atomic_state_alloc" },
	{ 0xd65f8372, "drm_client_modeset_commit" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0x9042022f, "drm_atomic_bridge_chain_post_disable" },
	{ 0xc977421, "drm_connector_update_edid_property" },
	{ 0xa0d5b5e9, "fwnode_handle_get" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x362d8a63, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x3f85ea6c, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x95a82f, "drm_client_release" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x876131ab, "__drm_atomic_helper_set_config" },
	{ 0x86df4d81, "mutex_trylock" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x47ded0b9, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x7d71fb96, "drm_get_format_info" },
	{ 0xe5ccaebe, "drm_connector_cleanup" },
	{ 0x1d5ee3a7, "drm_universal_plane_init" },
	{ 0xf92e0cf0, "drm_any_plane_has_format" },
	{ 0xcf3bc138, "sys_copyarea" },
	{ 0x8e113e8f, "drm_connector_list_iter_next" },
	{ 0xbbcdfab1, "drm_modeset_acquire_fini" },
	{ 0x7f06b15b, "drm_encoder_init" },
	{ 0x999e8297, "vfree" },
	{ 0xf6010c39, "drm_object_property_get_default_value" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb5d44309, "param_ops_bool" },
	{ 0x57742e3c, "drm_of_find_panel_or_bridge" },
	{ 0xdbec210c, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x79c855f0, "drm_modeset_backoff" },
	{ 0xa7710c92, "drm_panel_prepare" },
	{ 0xf11ff6c6, "drm_bridge_chain_mode_set" },
	{ 0x32db82ca, "drm_client_buffer_vunmap" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x9a2110c1, "fb_sys_read" },
	{ 0xb3061657, "drm_atomic_get_plane_state" },
	{ 0x923a8c76, "drm_atomic_bridge_chain_check" },
	{ 0xf4d85271, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0x1635d1ba, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x52ed4c3b, "drm_property_blob_put" },
	{ 0x90ed28ca, "drm_mode_destroy" },
	{ 0xcdb9d3fd, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa21b8af3, "drm_set_preferred_mode" },
	{ 0xb6a6d906, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x9137e423, "drm_atomic_state_clear" },
	{ 0x17c0f506, "drm_mode_config_reset" },
	{ 0x1566024f, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x773365f5, "drm_modeset_drop_locks" },
	{ 0x31a623f4, "fwnode_handle_put" },
	{ 0x365c9656, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x31739fb9, "drm_atomic_bridge_chain_disable" },
	{ 0x464ab5c0, "drm_mode_create_from_cmdline_mode" },
	{ 0x8bb0d2e1, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xb7963ac, "param_ops_int" },
	{ 0x983b0267, "drm_atomic_nonblocking_commit" },
	{ 0xd4cb4125, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xcb4a7cd0, "drm_master_internal_release" },
	{ 0xc15a81c6, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x23f2a6a6, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xf4621a49, "drm_atomic_add_encoder_bridges" },
	{ 0x745c2cfc, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x13527aea, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "B691302735FEF891793A40E");
MODULE_INFO(rhelversion, "9.6");
