#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x4368748c, "");
SYMBOL_CRC(drm_gem_vram_put, 0xc2a73b8b, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xaf8232b3, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x9ad428d8, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x4ca6f08b, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x8bc93aa5, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x7c7a752c, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x9ee4ee55, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x28884138, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x852005f3, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x84ccbe96, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x06275faa, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0x4f745575, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xd0fb639a, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x0b501b09, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x588b7933, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6da70f18, "ttm_range_man_init_nocheck" },
	{ 0x42fb5279, "ww_mutex_lock_interruptible" },
	{ 0x98e876e8, "ttm_resource_manager_debug" },
	{ 0xa510528a, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x4eae372c, "ttm_range_man_fini_nocheck" },
	{ 0x2f4e5b73, "drm_gem_object_init" },
	{ 0x21475af8, "__drm_printfn_seq_file" },
	{ 0x984b8abd, "ttm_bo_pin" },
	{ 0x58274780, "dev_driver_string" },
	{ 0xffaab6b5, "drm_gem_ttm_mmap" },
	{ 0xd335fc, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x627a0aa, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xbc4ba1a6, "drm_gem_object_release" },
	{ 0x7f048568, "ttm_tt_init" },
	{ 0xfa3ae6e4, "drm_gem_handle_create" },
	{ 0xfdff9d88, "drm_gem_fb_get_obj" },
	{ 0xe3240e8a, "ttm_bo_unpin" },
	{ 0x65b962a9, "__drm_puts_seq_file" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x4f80715a, "drm_debugfs_add_files" },
	{ 0x8f95a29b, "ttm_bo_init_validate" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa5905605, "ttm_device_init" },
	{ 0xe1e7b83e, "ttm_bo_validate" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5ca2497a, "ttm_bo_move_to_lru_tail" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0xb4560889, "ttm_bo_vmap" },
	{ 0xf5b73987, "ttm_bo_put" },
	{ 0x9dc0fb81, "ttm_resource_free" },
	{ 0xec6e7e87, "ttm_bo_move_memcpy" },
	{ 0xc98eb47b, "ttm_tt_fini" },
	{ 0xf24831a3, "ttm_device_fini" },
	{ 0xb4a048b2, "drm_gem_plane_helper_prepare_fb" },
	{ 0x374b0cf9, "ttm_bo_eviction_valuable" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x77a4eb2b, "drm_gem_ttm_print_info" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm,drm_ttm_helper,drm_kms_helper");


MODULE_INFO(srcversion, "1496405607BF97945448E9F");
MODULE_INFO(rhelversion, "9.6");
