#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tmc_free_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_alloc_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_data_range, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_get_data, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_catu_device, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_set_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_remove_catu_ops, "_gpl", "");

SYMBOL_CRC(tmc_free_sg_table, 0xe8f5cc8a, "_gpl");
SYMBOL_CRC(tmc_alloc_sg_table, 0xb5641cb2, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_data_range, 0x8945e9e8, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_table, 0xe4cbf8c4, "_gpl");
SYMBOL_CRC(tmc_sg_table_get_data, 0xbd156366, "_gpl");
SYMBOL_CRC(tmc_etr_get_catu_device, 0xc82ddc67, "_gpl");
SYMBOL_CRC(tmc_etr_set_catu_ops, 0xd1574952, "_gpl");
SYMBOL_CRC(tmc_etr_remove_catu_ops, 0x04a264a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5e05c254, "coresight_get_platform_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd3e135df, "misc_deregister" },
	{ 0xa8f3bf9c, "idr_find" },
	{ 0x2056fc8a, "devm_kmalloc" },
	{ 0x81772026, "coresight_disclaim_device_unlocked" },
	{ 0xdd1bc050, "amba_driver_unregister" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xe51630c, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0xeaa247f3, "dma_free_pages" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0xd92e2767, "coresight_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x875971b9, "__dynamic_dev_dbg" },
	{ 0x985fc9ce, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xabdf5d0a, "dma_alloc_pages" },
	{ 0x41e4d16c, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7ebd2f76, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x94f2b398, "__free_pages" },
	{ 0x623f8d71, "fwnode_property_read_u32_array" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0xc65bf79c, "coresight_claim_device" },
	{ 0x65927bca, "iommu_get_domain_for_dev" },
	{ 0x66456184, "idr_remove" },
	{ 0x64030d4f, "__dma_sync_single_for_cpu" },
	{ 0xd5667f34, "_dev_err" },
	{ 0x816a37be, "idr_alloc" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0xdf6fc0b2, "vmap" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x28e3a6d0, "misc_register" },
	{ 0xd96f2782, "__alloc_pages" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x9f216d62, "nonseekable_open" },
	{ 0x51a589c9, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x636abadc, "fwnode_property_present" },
	{ 0xbe0e7d85, "__pm_runtime_resume" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0x5e70c9c2, "__dma_sync_single_for_device" },
	{ 0x81d281ac, "devm_ioremap_resource" },
	{ 0xdce360df, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa089194, "dma_set_mask" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x3422812b, "perf_aux_output_flag" },
	{ 0x2791e0a3, "coresight_alloc_device_name" },
	{ 0xecfb329f, "coresight_barrier_pkt" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xd5259205, "amba_driver_register" },
	{ 0x62e5299f, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x2df8da86, "coresight_disclaim_device" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("amba:d???BB961");
MODULE_ALIAS("amba:d???BB9E8");
MODULE_ALIAS("amba:d???BB9E9");
MODULE_ALIAS("amba:d???BB9EA");

MODULE_INFO(srcversion, "EAE21FBF7A48EFFEFF1C924");
MODULE_INFO(rhelversion, "9.6");
