#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(coresight_barrier_pkt, "_gpl", "");
KSYMTAB_FUNC(coresight_set_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_set_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_get_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_set_assoc_ectdev_mutex, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_path, "_gpl", "");
KSYMTAB_FUNC(coresight_enable, "_gpl", "");
KSYMTAB_FUNC(coresight_disable, "_gpl", "");
KSYMTAB_FUNC(coresight_timeout, "_gpl", "");
KSYMTAB_FUNC(coresight_register, "_gpl", "");
KSYMTAB_FUNC(coresight_unregister, "_gpl", "");
KSYMTAB_FUNC(coresight_loses_context_with_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_alloc_device_name, "_gpl", "");
KSYMTAB_FUNC(etm_perf_symlink, "_gpl", "");
KSYMTAB_FUNC(coresight_find_csdev_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(coresight_get_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(coresight_add_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(cscfg_load_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_unload_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_register_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_unregister_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_reset_feats, "_gpl", "");
KSYMTAB_FUNC(cscfg_config_sysfs_get_active_cfg, "_gpl", "");
KSYMTAB_FUNC(cscfg_activate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_deactivate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_enable_active_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_disable_active_config, "_gpl", "");

SYMBOL_CRC(coresight_barrier_pkt, 0xecfb329f, "_gpl");
SYMBOL_CRC(coresight_set_cti_ops, 0xfb75a398, "_gpl");
SYMBOL_CRC(coresight_remove_cti_ops, 0x4a0e600f, "_gpl");
SYMBOL_CRC(coresight_set_percpu_sink, 0xbd539165, "_gpl");
SYMBOL_CRC(coresight_get_percpu_sink, 0x2495a2c6, "_gpl");
SYMBOL_CRC(coresight_claim_device_unlocked, 0xd02abdfc, "_gpl");
SYMBOL_CRC(coresight_claim_device, 0xc65bf79c, "_gpl");
SYMBOL_CRC(coresight_disclaim_device_unlocked, 0x81772026, "_gpl");
SYMBOL_CRC(coresight_disclaim_device, 0x2df8da86, "_gpl");
SYMBOL_CRC(coresight_set_assoc_ectdev_mutex, 0x7989e8ad, "_gpl");
SYMBOL_CRC(coresight_disable_path, 0xe16f84f5, "_gpl");
SYMBOL_CRC(coresight_enable, 0x65064c8b, "_gpl");
SYMBOL_CRC(coresight_disable, 0xc5bfb9a8, "_gpl");
SYMBOL_CRC(coresight_timeout, 0xeca1a8e2, "_gpl");
SYMBOL_CRC(coresight_register, 0xd92e2767, "_gpl");
SYMBOL_CRC(coresight_unregister, 0x41e4d16c, "_gpl");
SYMBOL_CRC(coresight_loses_context_with_cpu, 0x266197e5, "_gpl");
SYMBOL_CRC(coresight_alloc_device_name, 0x2791e0a3, "_gpl");
SYMBOL_CRC(etm_perf_symlink, 0xfcfb31c1, "_gpl");
SYMBOL_CRC(coresight_find_csdev_by_fwnode, 0x952f3419, "_gpl");
SYMBOL_CRC(coresight_get_cpu, 0xf1c37f9b, "_gpl");
SYMBOL_CRC(coresight_get_platform_data, 0x5e05c254, "_gpl");
SYMBOL_CRC(coresight_add_sysfs_link, 0xb250d2ff, "_gpl");
SYMBOL_CRC(coresight_remove_sysfs_link, 0xee1f9c35, "_gpl");
SYMBOL_CRC(cscfg_load_config_sets, 0x37f9cd21, "_gpl");
SYMBOL_CRC(cscfg_unload_config_sets, 0x79f69084, "_gpl");
SYMBOL_CRC(cscfg_register_csdev, 0x215ba517, "_gpl");
SYMBOL_CRC(cscfg_unregister_csdev, 0x1a7bdfc1, "_gpl");
SYMBOL_CRC(cscfg_csdev_reset_feats, 0x9cdaaf6b, "_gpl");
SYMBOL_CRC(cscfg_config_sysfs_get_active_cfg, 0xb0043d28, "_gpl");
SYMBOL_CRC(cscfg_activate_config, 0x985cc71d, "_gpl");
SYMBOL_CRC(cscfg_deactivate_config, 0xbe69f28a, "_gpl");
SYMBOL_CRC(cscfg_csdev_enable_active_config, 0x5a8a7c69, "_gpl");
SYMBOL_CRC(cscfg_csdev_disable_active_config, 0x3f310f7b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe1dea7c6, "of_graph_get_remote_endpoint" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2a716c1f, "try_module_get" },
	{ 0x4edb477, "is_acpi_device_node" },
	{ 0xffb41498, "of_fwnode_ops" },
	{ 0x77be8d68, "config_group_init" },
	{ 0x2056fc8a, "devm_kmalloc" },
	{ 0xd516ea48, "of_get_next_parent" },
	{ 0x20e1aaa1, "dev_set_name" },
	{ 0xb2a1affc, "configfs_register_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd76ad2a7, "perf_aux_output_begin" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x3b41925d, "sysfs_add_file_to_group" },
	{ 0xeafac464, "device_unregister" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x3acb0cb8, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x723105a3, "processors" },
	{ 0x9102d184, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xc89f1575, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x875971b9, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x37ccf752, "configfs_unregister_subsystem" },
	{ 0x6d5b9a7d, "device_match_fwnode" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x99d82c4d, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37270586, "put_device" },
	{ 0x7ebd2f76, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x1658456f, "bus_for_each_dev" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0x180e788f, "config_item_set_name" },
	{ 0x7627e34a, "module_put" },
	{ 0x4758f918, "sysfs_create_link" },
	{ 0x3aff3200, "acpi_evaluate_object_typed" },
	{ 0x34a58818, "sysfs_remove_link_from_group" },
	{ 0x6997fe9c, "perf_pmu_register" },
	{ 0x1f75044, "of_get_child_by_name" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x821e8db, "bus_unregister" },
	{ 0xac385964, "devm_kfree" },
	{ 0xd5667f34, "_dev_err" },
	{ 0xb88d2570, "bus_find_device" },
	{ 0x8c9fbcdd, "configfs_register_subsystem" },
	{ 0xa484e852, "__of_parse_phandle_with_args" },
	{ 0xc56e6652, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xdeb26ccf, "config_group_init_type_name" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x93d32d74, "perf_pmu_unregister" },
	{ 0x7b08b6b, "of_find_property" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x44c620cc, "perf_aux_output_end" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf93aa676, "of_graph_get_next_endpoint" },
	{ 0x6fe9fa9b, "sysfs_remove_file_from_group" },
	{ 0xb381d58e, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd69cf3b8, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa0d5b5e9, "fwnode_handle_get" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x85fa383c, "of_graph_get_port_parent" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc20b1e58, "devm_kasprintf" },
	{ 0x26f1e1a8, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x636abadc, "fwnode_property_present" },
	{ 0xbe0e7d85, "__pm_runtime_resume" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xf4096c67, "acpi_fetch_acpi_dev" },
	{ 0x7658e4e2, "of_cpu_node_to_id" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xc63ed737, "amba_bustype" },
	{ 0x66eb2486, "platform_bus_type" },
	{ 0x9330fd5a, "sysfs_add_link_to_group" },
	{ 0xdce360df, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x8fb3d559, "of_node_name_eq" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x31a623f4, "fwnode_handle_put" },
	{ 0x3422812b, "perf_aux_output_flag" },
	{ 0x6e0d4ff0, "configfs_unregister_group" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x62e5299f, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf035937c, "__dev_fwnode" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x7822aa5e, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B8B4B5C5EDF0B852DD613FF");
MODULE_INFO(rhelversion, "9.6");
