#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(__media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x971c1093, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x9f69b5e3, "_gpl");
SYMBOL_CRC(media_device_init, 0x0008633f, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xf8477387, "_gpl");
SYMBOL_CRC(__media_device_register, 0xf6dd40ad, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x60be172c, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x0db61fd1, "_gpl");
SYMBOL_CRC(media_device_unregister, 0xe1ef7178, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0xa54e300c, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0xd233e51e, "_gpl");
SYMBOL_CRC(__media_entity_enum_init, 0xfc781c47, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x32090b3e, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x2e8b2005, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xe5e90fcd, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x43c962d5, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x24b5aa59, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x523b126e, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x20212bce, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x11a83f7b, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x345ee17e, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x05537e22, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x419b6a74, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x0d462cbd, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x438890de, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xb6708e55, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x49a9a162, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0xb55dc307, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x92be5759, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x4e24bef6, "_gpl");
SYMBOL_CRC(media_entity_remote_pad, 0x20739d11, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xd7d9ef77, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x693a4e47, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x583ac693, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xc5cf3f11, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xa7232f51, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x1ada9ba7, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xa298e787, "_gpl");
SYMBOL_CRC(media_request_put, 0x79d11501, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x5a50cbdb, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x576d2645, "_gpl");
SYMBOL_CRC(media_request_object_put, 0xd2022308, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x5bd07d66, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x7d0b3266, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x7fad2509, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xc2bcd0e8, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x338d27ab, "_gpl");
SYMBOL_CRC(media_device_delete, 0xfc000a77, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83cce399, "ida_alloc_range" },
	{ 0x2a716c1f, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x730387c, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5c54bcdc, "ida_destroy" },
	{ 0x20e1aaa1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x50e57e5, "cdev_device_del" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x294bd436, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4808741f, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc43d54bf, "__wake_up" },
	{ 0xc89f1575, "get_device" },
	{ 0x875971b9, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8b40b88, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x37270586, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x22cd7975, "fwnode_graph_parse_endpoint" },
	{ 0x7627e34a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3a21f0b1, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x821e8db, "bus_unregister" },
	{ 0xa90066db, "fput" },
	{ 0xd5667f34, "_dev_err" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0xa326d9ef, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xc4fba77a, "__init_waitqueue_head" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd7e75283, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x55342d03, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x1acdef9e, "device_remove_file" },
	{ 0x7822aa5e, "bus_register" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "373ED697869FCA823871C11");
MODULE_INFO(rhelversion, "9.6");
