#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0x72ebac4d, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x18fed054, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x628608dc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8c3eb1b7, "rtnl_link_register" },
	{ 0x98686277, "genl_register_family" },
	{ 0xba40c916, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xe6e1ed4b, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd93b0c31, "crypto_alloc_aead" },
	{ 0xb63c98a3, "crypto_aead_setkey" },
	{ 0xab7e0d47, "crypto_aead_setauthsize" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xbf733728, "skb_pull" },
	{ 0xc40c19ac, "___pskb_trim" },
	{ 0x4a8da618, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x18e9f5af, "dev_mc_sync" },
	{ 0x6ba47b8f, "dev_uc_sync" },
	{ 0x12e8b4c7, "dev_set_allmulti" },
	{ 0x59b09da8, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xdbfe5121, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5d2e5a6d, "__dev_get_by_index" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x70448bf5, "skb_clone" },
	{ 0xc1d1680b, "__netif_rx" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd5e8b467, "register_netdevice" },
	{ 0x5e727d28, "netdev_upper_dev_link" },
	{ 0x10f5589, "netdev_upper_dev_unlink" },
	{ 0x514b2090, "unregister_netdevice_queue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7d3dbcc5, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1da43aee, "netif_stacked_transfer_operstate" },
	{ 0x7ffbe96c, "linkwatch_fire_event" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x3b8a2be4, "netdev_rx_handler_register" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x788c6ea, "skb_copy_expand" },
	{ 0x217baa30, "consume_skb" },
	{ 0x1ba2d337, "skb_push" },
	{ 0x245533fa, "skb_put" },
	{ 0xa97f6482, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x643d45fd, "skb_to_sgvec" },
	{ 0xc1f2a21, "crypto_aead_encrypt" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x746b9923, "sk_skb_reason_drop" },
	{ 0x8e4e7182, "skb_copy" },
	{ 0xc94ec4af, "skb_trim" },
	{ 0x9b1c8f67, "metadata_dst_free" },
	{ 0x7cd6bb8, "__dev_queue_xmit" },
	{ 0x4aad4e23, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x41313001, "gro_cells_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xae01ee2e, "crypto_aead_decrypt" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbf5418ac, "netdev_rx_handler_unregister" },
	{ 0x3b197494, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xbe03a05c, "netif_carrier_off" },
	{ 0x4899eec1, "dev_mc_unsync" },
	{ 0xd71d1709, "dev_uc_unsync" },
	{ 0x7ae7aa75, "dev_uc_del" },
	{ 0x98b0abf1, "dev_uc_add" },
	{ 0xc873df2d, "netif_carrier_on" },
	{ 0x2b67473f, "eth_type_trans" },
	{ 0xc9cb2991, "gro_cells_receive" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x31537066, "genlmsg_put" },
	{ 0xb0b2401b, "__pskb_pull_tail" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "40F803C02024F8CEAD57141");
MODULE_INFO(rhelversion, "9.6");
