#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x49e38b4b, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0x3bdb0370, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0xa5ec27bd, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x6ef4e874, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x7da2918d, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xfc9ae637, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0xebef2339, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0x9f8f693b, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0x6cd732a2, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0xb0ab8745, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x092cf8fb, "_gpl");
SYMBOL_CRC(at803x_read_status, 0xc491929a, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xd26692e7, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x1bcc6280, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x5a04eadc, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0xedd6989f, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x8368b262, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0x532f6483, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0xbca635e6, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xe19fb1c3, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0xc31df8f1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2889037f, "mdiobus_write" },
	{ 0x832c508f, "mdiobus_read" },
	{ 0xbf57ee71, "phy_write_mmd" },
	{ 0xb53fe111, "phy_modify" },
	{ 0xc46496bf, "phy_trigger_machine" },
	{ 0x6dffbe19, "phy_error" },
	{ 0xd812970b, "phy_modify_changed" },
	{ 0x1e278767, "genphy_update_link" },
	{ 0x40e6ddba, "genphy_read_lpa" },
	{ 0xc301fdfa, "phy_resolve_aneg_pause" },
	{ 0xd534ea4a, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd5667f34, "_dev_err" },
	{ 0xc4210655, "phy_read_mmd" },
	{ 0x7b03fb4a, "ethnl_cable_test_result" },
	{ 0x74673b19, "ethnl_cable_test_fault_length" },
	{ 0xf227faf9, "phy_modify_mmd" },
	{ 0x81ace809, "genphy_soft_reset" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "771CD4DBC31CBCACC4F04AF");
MODULE_INFO(rhelversion, "9.6");
