#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0xebe93ba9, "");
SYMBOL_CRC(ptp_clock_unregister, 0xf5dc7bcb, "");
SYMBOL_CRC(ptp_clock_event, 0xc986df7c, "");
SYMBOL_CRC(ptp_clock_index, 0x64dd8589, "");
SYMBOL_CRC(ptp_find_pin, 0x8896e4f0, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0xd7dd6868, "");
SYMBOL_CRC(ptp_schedule_worker, 0x0ee7c90a, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0x6ee29def, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83cce399, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x15731e7, "kthread_create_worker" },
	{ 0x5c54bcdc, "ida_destroy" },
	{ 0xcd92db7c, "kthread_cancel_delayed_work_sync" },
	{ 0x20e1aaa1, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x3bfdac5e, "pps_register_source" },
	{ 0x79b50e91, "finish_wait" },
	{ 0xac9dfd6f, "class_destroy" },
	{ 0x294bd436, "device_initialize" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0d0b866, "device_for_each_child" },
	{ 0x51dc6b47, "prepare_to_wait_event" },
	{ 0xc43d54bf, "__wake_up" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x37270586, "put_device" },
	{ 0x5cf3890c, "device_for_each_child_reverse" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x3005cea4, "kthread_mod_delayed_work" },
	{ 0xd5667f34, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2144dda, "class_create" },
	{ 0x6954855e, "pps_event" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0xa326d9ef, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4cda6c2e, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xdcb764ad, "memset" },
	{ 0xc4fba77a, "__init_waitqueue_head" },
	{ 0xf36bcb40, "pps_unregister_source" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa49f6e2a, "kthread_destroy_worker" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0x418cf0ae, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe9fb7667, "kthread_queue_delayed_work" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4cb27100, "ktime_get_snapshot" },
	{ 0xfefae8ff, "posix_clock_unregister" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "7E217A13F3F3600A3AD6CE4");
MODULE_INFO(rhelversion, "9.6");
