#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0xa5c8e3ef, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xe9e065ed, "_gpl");
SYMBOL_CRC(sas_free_task, 0xdf8ed919, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x1230824a, "");
SYMBOL_CRC(sas_resume_ha, 0x23844714, "");
SYMBOL_CRC(sas_suspend_ha, 0x32de5dc2, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x6321cb2b, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x5ccdb090, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x0e869e77, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x40cd3338, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x7c79a11a, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x70305899, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xce34e264, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0x76693305, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0x073557cb, "_gpl");
SYMBOL_CRC(sas_request_addr, 0x760cc8d6, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xd752f4b4, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x39065a01, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xfd695c58, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0x1234e084, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x51c44fc8, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x47a8b270, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xded2a2f7, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x350e2684, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xe7a4492c, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x48df047e, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x19e9176b, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x69dbd68e, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x4af20774, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xca84190f, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7fd49ac4, "ata_qc_complete" },
	{ 0x25e3b32c, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xb3ac6563, "sas_rphy_remove" },
	{ 0xd1e580f4, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x819ff34b, "ata_sas_port_destroy" },
	{ 0x6e1f8bef, "bsg_job_done" },
	{ 0xec087650, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x99ae9fb6, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x8a2d78c1, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x79b50e91, "finish_wait" },
	{ 0x1a335ef5, "scsi_schedule_eh" },
	{ 0x6cac7fe8, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xd9ee4ff1, "ata_host_init" },
	{ 0x1abda4c1, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xd0928537, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xeb92d94, "sas_port_get_phy" },
	{ 0xd7176288, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x51dc6b47, "prepare_to_wait_event" },
	{ 0xc43d54bf, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x530fdb92, "kmem_cache_create" },
	{ 0xc89f1575, "get_device" },
	{ 0xb6f128a0, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x672fe94c, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x37270586, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x9938e4ca, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x7d652ad0, "kmem_cache_alloc" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0x6bb42b3b, "sas_phy_free" },
	{ 0x8897f821, "scsi_eh_finish_cmd" },
	{ 0xbedcc408, "ata_noop_qc_prep" },
	{ 0x39c8dda9, "ata_sas_port_alloc" },
	{ 0x16f6c645, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0xd70a97f4, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x8f1035a5, "sas_port_mark_backlink" },
	{ 0xc0d914d8, "kmem_cache_free" },
	{ 0x9dbd39b7, "ata_std_qc_defer" },
	{ 0x5641d554, "ata_sas_port_start" },
	{ 0xf1b0f8bf, "ata_scsi_port_error_handler" },
	{ 0x714a6659, "ata_change_queue_depth" },
	{ 0x6a2860f4, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x114c997d, "sas_end_device_alloc" },
	{ 0x4cda6c2e, "mutex_lock_interruptible" },
	{ 0xb7313644, "sas_read_port_mode_page" },
	{ 0xb554beae, "sas_expander_alloc" },
	{ 0x94365934, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0xaa8dac75, "sas_rphy_delete" },
	{ 0xf3d6ca7c, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x111fb8c0, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc4fba77a, "__init_waitqueue_head" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x5948af08, "scsi_host_busy" },
	{ 0x3c306fae, "ata_sas_async_probe" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0xd68cbfbd, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5535a20a, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbc2469a1, "ata_sas_port_suspend" },
	{ 0xe34b89ba, "sas_rphy_add" },
	{ 0xffdf9679, "sas_port_delete_phy" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xdd8ebfd0, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x81079655, "sas_port_add_phy" },
	{ 0x5e945cb3, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xbc5f6718, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x35aca247, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xb67718a4, "ata_host_put" },
	{ 0xe78f232a, "sas_port_free" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x2433080f, "ata_std_sched_eh" },
	{ 0xb48d24f5, "scsi_block_requests" },
	{ 0x55e5f6c2, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x8b7a65d4, "sas_remove_children" },
	{ 0xe981a550, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x6f6ac335, "ata_port_wait_eh" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x89402ca9, "kmem_cache_destroy" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "30BEB103A4260BBB503D433");
MODULE_INFO(rhelversion, "9.6");
