#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x96e65653, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x35e2d5fb, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x8494c3f5, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x5ce9fe4e, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x314f9387, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x80b6d435, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x833fb605, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xc4db6cbd, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xf0b845e1, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x27791d51, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x79821c1, "dst_cache_set_ip4" },
	{ 0xd8392d79, "kernel_bind" },
	{ 0xb9ef604f, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x990c7062, "netdev_warn" },
	{ 0xcf2366d5, "udp_tunnel_nic_ops" },
	{ 0xdcbd672f, "ip_route_output_flow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x60e1c6ea, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x2f8aa259, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x8a918c9f, "iptunnel_xmit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd9e883ba, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0xc94ec4af, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5eb5d504, "__dynamic_netdev_dbg" },
	{ 0x85375c01, "dst_cache_get_ip4" },
	{ 0xfe5add34, "sock_create_kern" },
	{ 0xc3a99c4e, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x7d3dbcc5, "metadata_dst_alloc" },
	{ 0x4aad4e23, "dst_release" },
	{ 0x7fc17f58, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xc6a96ae, "sock_bindtoindex" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE2A033F72E009555B376EA");
MODULE_INFO(rhelversion, "9.6");
