#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xdce83464, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xaf702d72, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x7bd43e8f, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x0cd552ed, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xdedbdf43, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xa15820a4, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x2326ce14, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x527265f3, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x27e81c03, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x0821336a, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x16a6bbac, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x21e77e49, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc32e98d4, "ipv6_chk_addr_and_flags" },
	{ 0x5d193684, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xc3a6c9ae, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x1885e3fa, "register_pernet_device" },
	{ 0x155b01d7, "xfrm6_tunnel_register" },
	{ 0x8c3eb1b7, "rtnl_link_register" },
	{ 0x5b800c74, "xfrm6_tunnel_deregister" },
	{ 0x141ffbac, "unregister_pernet_device" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x514b2090, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf2f72f51, "rt6_lookup" },
	{ 0x4aad4e23, "dst_release" },
	{ 0x5d2e5a6d, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x156c03ef, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x22e8097f, "init_net" },
	{ 0x2df3b375, "alloc_netdev_mqs" },
	{ 0x99258954, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0x25456082, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xba40c916, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x41313001, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xb0b2401b, "__pskb_pull_tail" },
	{ 0xd5e8b467, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa589adee, "netdev_state_change" },
	{ 0xad6e2781, "make_kuid" },
	{ 0xaa41dc39, "ip6_redirect" },
	{ 0x65768a99, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x33b611d9, "dst_cache_get" },
	{ 0xb1929ab1, "ip6_route_output_flags" },
	{ 0xb2135ef9, "xfrm_lookup" },
	{ 0xdd902a60, "skb_scrub_packet" },
	{ 0x4ef8e68f, "skb_realloc_headroom" },
	{ 0xe97e6db4, "skb_set_owner_w" },
	{ 0x217baa30, "consume_skb" },
	{ 0xa79e1f0d, "ipv6_push_frag_opts" },
	{ 0x1ba2d337, "skb_push" },
	{ 0xf11e6721, "ip6_local_out" },
	{ 0x7d62c208, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x666cd572, "skb_copy_bits" },
	{ 0xc8a6092e, "ip6_dst_hoplimit" },
	{ 0xd99c19b, "ipv6_dev_get_saddr" },
	{ 0x1f7872b7, "neigh_destroy" },
	{ 0x70448bf5, "skb_clone" },
	{ 0xbf733728, "skb_pull" },
	{ 0x356454e4, "__icmpv6_send" },
	{ 0x746b9923, "sk_skb_reason_drop" },
	{ 0xc9cb2991, "gro_cells_receive" },
	{ 0x2b67473f, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xdcbd672f, "ip_route_output_flow" },
	{ 0x245cdea2, "ip_route_input_noref" },
	{ 0x9216a46b, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x22c0a554, "iptunnel_handle_offloads" },
	{ 0xd0ff4b44, "icmpv6_ndo_send" },
	{ 0x2f65b1cc, "icmp_ndo_send" },
	{ 0xd9cb87ca, "__iptunnel_pull_header" },
	{ 0x7d3dbcc5, "metadata_dst_alloc" },
	{ 0x497f0adb, "__xfrm_policy_check" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x73a168ed, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xdbe61b6e, "dev_get_tstats64" },
	{ 0xb5d44309, "param_ops_bool" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "AF4D10EDB179C97C7FC606E");
MODULE_INFO(rhelversion, "9.6");
