#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee80211_emulate_add_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_remove_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_change_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_switch_vif_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_restart_hw, "", "");
KSYMTAB_FUNC(ieee80211_alloc_hw_nm, "", "");
KSYMTAB_FUNC(ieee80211_register_hw, "", "");
KSYMTAB_FUNC(ieee80211_unregister_hw, "", "");
KSYMTAB_FUNC(ieee80211_free_hw, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_ext, "", "");
KSYMTAB_FUNC(ieee80211_tx_rate_update, "", "");
KSYMTAB_FUNC(ieee80211_report_low_ack, "", "");
KSYMTAB_FUNC(ieee80211_free_txskb, "", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_link_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_ifaddr, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta, "", "");
KSYMTAB_FUNC(ieee80211_sta_block_awake, "", "");
KSYMTAB_FUNC(ieee80211_sta_eosp, "", "");
KSYMTAB_FUNC(ieee80211_send_eosp_nullfunc, "", "");
KSYMTAB_FUNC(ieee80211_sta_set_buffered, "", "");
KSYMTAB_FUNC(ieee80211_sta_register_airtime, "", "");
KSYMTAB_FUNC(ieee80211_sta_recalc_aggregates, "", "");
KSYMTAB_FUNC(ieee80211_scan_completed, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_results, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(ieee80211_ready_on_channel, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remain_on_channel_expired, "_gpl", "");
KSYMTAB_FUNC(ieee80211_request_smps, "_gpl", "");
KSYMTAB_FUNC(ieee80211_send_bar, "", "");
KSYMTAB_FUNC(ieee80211_refresh_tx_agg_session_timer, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_rx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_manage_rx_ba_offl, "", "");
KSYMTAB_FUNC(ieee80211_rx_ba_timer_expired, "", "");
KSYMTAB_FUNC(ieee80211_update_mu_groups, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links_async, "_gpl", "");
KSYMTAB_FUNC(ieee80211_rate_control_register, "", "");
KSYMTAB_FUNC(ieee80211_rate_control_unregister, "", "");
KSYMTAB_FUNC(ieee80211_get_tx_rates, "", "");
KSYMTAB_FUNC(rate_control_set_rates, "", "");
KSYMTAB_FUNC(ieee80211_tkip_add_iv, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p1k_iv, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_rx_p1k, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p2k, "", "");
KSYMTAB_FUNC(ieee80211_csa_finish, "", "");
KSYMTAB_FUNC(ieee80211_channel_switch_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_match, "", "");
KSYMTAB_FUNC(ieee80211_color_change_finish, "_gpl", "");
KSYMTAB_FUNC(ieee80211_obss_color_collision_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_sta_ps_transition, "", "");
KSYMTAB_FUNC(ieee80211_sta_pspoll, "", "");
KSYMTAB_FUNC(ieee80211_sta_uapsd_trigger, "", "");
KSYMTAB_FUNC(ieee80211_drop_unencrypted_mgmt, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_mark_rx_ba_filtered_frames, "", "");
KSYMTAB_FUNC(ieee80211_rx_list, "", "");
KSYMTAB_FUNC(ieee80211_rx_napi, "", "");
KSYMTAB_FUNC(ieee80211_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_prepare_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_dequeue, "", "");
KSYMTAB_FUNC(ieee80211_next_txq, "", "");
KSYMTAB_FUNC(__ieee80211_schedule_txq, "", "");
KSYMTAB_FUNC(ieee80211_txq_airtime_check, "", "");
KSYMTAB_FUNC(ieee80211_txq_may_transmit, "", "");
KSYMTAB_FUNC(ieee80211_txq_schedule_start, "", "");
KSYMTAB_FUNC(ieee80211_beacon_update_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_set_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_cntdwn_is_complete, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_index, "", "");
KSYMTAB_FUNC(ieee80211_beacon_free_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_tim, "", "");
KSYMTAB_FUNC(ieee80211_proberesp_get, "", "");
KSYMTAB_FUNC(ieee80211_get_fils_discovery_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_get_unsol_bcast_probe_resp_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_pspoll_get, "", "");
KSYMTAB_FUNC(ieee80211_nullfunc_get, "", "");
KSYMTAB_FUNC(ieee80211_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_rts_get, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_get, "", "");
KSYMTAB_FUNC(ieee80211_get_buffered_bc, "", "");
KSYMTAB_FUNC(ieee80211_reserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_unreserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys_rcu, "", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_key_rx_seq, "", "");
KSYMTAB_FUNC(ieee80211_set_key_rx_seq, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remove_key, "_gpl", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_add, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_mic_failure, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_replay, "_gpl", "");
KSYMTAB_FUNC(wiphy_to_ieee80211_hw, "", "");
KSYMTAB_FUNC(ieee80211_get_bssid, "", "");
KSYMTAB_FUNC(ieee80211_generic_frame_duration, "", "");
KSYMTAB_FUNC(ieee80211_rts_duration, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_duration, "", "");
KSYMTAB_FUNC(ieee80211_handle_wake_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queues, "", "");
KSYMTAB_FUNC(ieee80211_queue_stopped, "", "");
KSYMTAB_FUNC(ieee80211_wake_queues, "", "");
KSYMTAB_FUNC(ieee80211_iterate_interfaces, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_mtx, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_atomic, "_gpl", "");
KSYMTAB_FUNC(wdev_to_ieee80211_vif, "_gpl", "");
KSYMTAB_FUNC(ieee80211_vif_to_wdev, "_gpl", "");
KSYMTAB_FUNC(ieee80211_queue_work, "", "");
KSYMTAB_FUNC(ieee80211_queue_delayed_work, "", "");
KSYMTAB_FUNC(ieee80211_hw_restart_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_resume_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_ave_rssi, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radar_detected, "", "");
KSYMTAB_FUNC(ieee80211_update_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_parse_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_txq_get_depth, "", "");
KSYMTAB_FUNC(ieee802_11_parse_elems_full, "", "EXPORTED_FOR_KUNIT_TESTING");
KSYMTAB_FUNC(ieee80211_iter_chan_contexts_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_chswitch_done, "", "");
KSYMTAB_FUNC(ieee80211_ap_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_beacon_loss, "", "");
KSYMTAB_FUNC(ieee80211_connection_loss, "", "");
KSYMTAB_FUNC(ieee80211_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(ieee80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(ieee80211_enable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_disable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(ieee80211_calc_rx_airtime, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_tx_airtime, "_gpl", "");
KSYMTAB_FUNC(__ieee80211_get_radio_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_assoc_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_tx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_rx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_create_tpt_led_trigger, "", "");
KSYMTAB_FUNC(ieee80211_report_wowlan_wakeup, "", "");

SYMBOL_CRC(ieee80211_emulate_add_chanctx, 0x4d4cb206, "");
SYMBOL_CRC(ieee80211_emulate_remove_chanctx, 0x8b901626, "");
SYMBOL_CRC(ieee80211_emulate_change_chanctx, 0x1c645629, "");
SYMBOL_CRC(ieee80211_emulate_switch_vif_chanctx, 0xcdaa6ee8, "");
SYMBOL_CRC(ieee80211_restart_hw, 0x7278a9f5, "");
SYMBOL_CRC(ieee80211_alloc_hw_nm, 0xd23fa6b4, "");
SYMBOL_CRC(ieee80211_register_hw, 0xe67a0a8b, "");
SYMBOL_CRC(ieee80211_unregister_hw, 0x69cdd947, "");
SYMBOL_CRC(ieee80211_free_hw, 0xd30ffc82, "");
SYMBOL_CRC(ieee80211_tx_status_irqsafe, 0x1dd7b20c, "");
SYMBOL_CRC(ieee80211_tx_status_skb, 0xcf9d0294, "");
SYMBOL_CRC(ieee80211_tx_status_ext, 0x8e0881dc, "");
SYMBOL_CRC(ieee80211_tx_rate_update, 0xc254c12b, "");
SYMBOL_CRC(ieee80211_report_low_ack, 0x99ab95a4, "");
SYMBOL_CRC(ieee80211_free_txskb, 0xb0f17e11, "");
SYMBOL_CRC(ieee80211_find_sta_by_link_addrs, 0x236b7f37, "_gpl");
SYMBOL_CRC(ieee80211_find_sta_by_ifaddr, 0xd165dcc7, "_gpl");
SYMBOL_CRC(ieee80211_find_sta, 0x2dfeab9b, "");
SYMBOL_CRC(ieee80211_sta_block_awake, 0xc86e9f36, "");
SYMBOL_CRC(ieee80211_sta_eosp, 0x122976fc, "");
SYMBOL_CRC(ieee80211_send_eosp_nullfunc, 0xc8549bbc, "");
SYMBOL_CRC(ieee80211_sta_set_buffered, 0x9749ad62, "");
SYMBOL_CRC(ieee80211_sta_register_airtime, 0xfbd1490e, "");
SYMBOL_CRC(ieee80211_sta_recalc_aggregates, 0xce7fc124, "");
SYMBOL_CRC(ieee80211_scan_completed, 0x6ff75943, "");
SYMBOL_CRC(ieee80211_sched_scan_results, 0x9d148cad, "");
SYMBOL_CRC(ieee80211_sched_scan_stopped, 0x3d780f35, "");
SYMBOL_CRC(ieee80211_ready_on_channel, 0x6ca60971, "_gpl");
SYMBOL_CRC(ieee80211_remain_on_channel_expired, 0x6563bc81, "_gpl");
SYMBOL_CRC(ieee80211_request_smps, 0x5d0ea10b, "_gpl");
SYMBOL_CRC(ieee80211_send_bar, 0x6576cd76, "");
SYMBOL_CRC(ieee80211_refresh_tx_agg_session_timer, 0x5f9a65dc, "");
SYMBOL_CRC(ieee80211_start_tx_ba_session, 0x57f25ce7, "");
SYMBOL_CRC(ieee80211_start_tx_ba_cb_irqsafe, 0xc1b54963, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_session, 0xc6ae2636, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_cb_irqsafe, 0x63acba7a, "");
SYMBOL_CRC(ieee80211_stop_rx_ba_session, 0x447c2067, "");
SYMBOL_CRC(ieee80211_manage_rx_ba_offl, 0x174ae6e0, "");
SYMBOL_CRC(ieee80211_rx_ba_timer_expired, 0xf8584995, "");
SYMBOL_CRC(ieee80211_update_mu_groups, 0x70206d35, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links, 0x550768ad, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links_async, 0xd921618d, "_gpl");
SYMBOL_CRC(ieee80211_rate_control_register, 0xf858b79c, "");
SYMBOL_CRC(ieee80211_rate_control_unregister, 0x8ad8c998, "");
SYMBOL_CRC(ieee80211_get_tx_rates, 0x9bad89c2, "");
SYMBOL_CRC(rate_control_set_rates, 0x8e2519da, "");
SYMBOL_CRC(ieee80211_tkip_add_iv, 0x16ad7c5f, "_gpl");
SYMBOL_CRC(ieee80211_get_tkip_p1k_iv, 0x1cf75d45, "");
SYMBOL_CRC(ieee80211_get_tkip_rx_p1k, 0x391eda45, "");
SYMBOL_CRC(ieee80211_get_tkip_p2k, 0x872063fc, "");
SYMBOL_CRC(ieee80211_csa_finish, 0xac8c771a, "");
SYMBOL_CRC(ieee80211_channel_switch_disconnect, 0x98965e5f, "");
SYMBOL_CRC(ieee80211_nan_func_terminated, 0xe841946a, "");
SYMBOL_CRC(ieee80211_nan_func_match, 0xb3deae8e, "");
SYMBOL_CRC(ieee80211_color_change_finish, 0xf13ea1b6, "_gpl");
SYMBOL_CRC(ieee80211_obss_color_collision_notify, 0x85fdec12, "_gpl");
SYMBOL_CRC(ieee80211_sta_ps_transition, 0x6dd8ad5d, "");
SYMBOL_CRC(ieee80211_sta_pspoll, 0xda90a987, "");
SYMBOL_CRC(ieee80211_sta_uapsd_trigger, 0x84cf4ef2, "");
SYMBOL_CRC(ieee80211_drop_unencrypted_mgmt, 0xe1e38875, "");
SYMBOL_CRC(ieee80211_mark_rx_ba_filtered_frames, 0x04c78c4a, "");
SYMBOL_CRC(ieee80211_rx_list, 0xecf6eef8, "");
SYMBOL_CRC(ieee80211_rx_napi, 0x21e27579, "");
SYMBOL_CRC(ieee80211_rx_irqsafe, 0xa7d18bf2, "");
SYMBOL_CRC(ieee80211_tx_prepare_skb, 0x81458903, "");
SYMBOL_CRC(ieee80211_tx_dequeue, 0xcf2806b2, "");
SYMBOL_CRC(ieee80211_next_txq, 0xc84bb50c, "");
SYMBOL_CRC(__ieee80211_schedule_txq, 0xa33ce988, "");
SYMBOL_CRC(ieee80211_txq_airtime_check, 0x3fc629ac, "");
SYMBOL_CRC(ieee80211_txq_may_transmit, 0xa3fdcb98, "");
SYMBOL_CRC(ieee80211_txq_schedule_start, 0x8b61978a, "");
SYMBOL_CRC(ieee80211_beacon_update_cntdwn, 0x7f744384, "");
SYMBOL_CRC(ieee80211_beacon_set_cntdwn, 0x719d02db, "");
SYMBOL_CRC(ieee80211_beacon_cntdwn_is_complete, 0x2af55b35, "");
SYMBOL_CRC(ieee80211_beacon_get_template, 0xc1d3b55c, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_index, 0x29d61960, "");
SYMBOL_CRC(ieee80211_beacon_free_ema_list, 0x5ac9c452, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_list, 0x07a719a2, "");
SYMBOL_CRC(ieee80211_beacon_get_tim, 0xfb7ee82a, "");
SYMBOL_CRC(ieee80211_proberesp_get, 0x9527b149, "");
SYMBOL_CRC(ieee80211_get_fils_discovery_tmpl, 0xfc7f4957, "");
SYMBOL_CRC(ieee80211_get_unsol_bcast_probe_resp_tmpl, 0xa1e0577b, "");
SYMBOL_CRC(ieee80211_pspoll_get, 0xc593e4a4, "");
SYMBOL_CRC(ieee80211_nullfunc_get, 0xdb3de1ae, "");
SYMBOL_CRC(ieee80211_probereq_get, 0xa6fcb73a, "");
SYMBOL_CRC(ieee80211_rts_get, 0xadcf6d0b, "");
SYMBOL_CRC(ieee80211_ctstoself_get, 0x37d60110, "");
SYMBOL_CRC(ieee80211_get_buffered_bc, 0x8c479bc9, "");
SYMBOL_CRC(ieee80211_reserve_tid, 0x41ab0f94, "");
SYMBOL_CRC(ieee80211_unreserve_tid, 0x06e56e92, "");
SYMBOL_CRC(ieee80211_iter_keys, 0xfa31dd1d, "");
SYMBOL_CRC(ieee80211_iter_keys_rcu, 0x654f64d9, "");
SYMBOL_CRC(ieee80211_gtk_rekey_notify, 0xaa4410fd, "_gpl");
SYMBOL_CRC(ieee80211_get_key_rx_seq, 0xaeb9a917, "");
SYMBOL_CRC(ieee80211_set_key_rx_seq, 0x1dab0efe, "_gpl");
SYMBOL_CRC(ieee80211_remove_key, 0xea792270, "_gpl");
SYMBOL_CRC(ieee80211_gtk_rekey_add, 0xcfefbda1, "_gpl");
SYMBOL_CRC(ieee80211_key_mic_failure, 0xd004ea88, "_gpl");
SYMBOL_CRC(ieee80211_key_replay, 0x9e1c1431, "_gpl");
SYMBOL_CRC(wiphy_to_ieee80211_hw, 0x56e03de1, "");
SYMBOL_CRC(ieee80211_get_bssid, 0x95febea6, "");
SYMBOL_CRC(ieee80211_generic_frame_duration, 0xdfae2ea0, "");
SYMBOL_CRC(ieee80211_rts_duration, 0xd225466f, "");
SYMBOL_CRC(ieee80211_ctstoself_duration, 0x956c1b65, "");
SYMBOL_CRC(ieee80211_handle_wake_tx_queue, 0x9b60b13d, "");
SYMBOL_CRC(ieee80211_wake_queue, 0xa7dc1235, "");
SYMBOL_CRC(ieee80211_stop_queue, 0x23bb1d50, "");
SYMBOL_CRC(ieee80211_stop_queues, 0xacea8d62, "");
SYMBOL_CRC(ieee80211_queue_stopped, 0xf17c7c68, "");
SYMBOL_CRC(ieee80211_wake_queues, 0x87bfc6a3, "");
SYMBOL_CRC(ieee80211_iterate_interfaces, 0xd472a699, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_atomic, 0x1674deaf, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_mtx, 0x9bc8741b, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_atomic, 0xf1d748f5, "_gpl");
SYMBOL_CRC(wdev_to_ieee80211_vif, 0x83558072, "_gpl");
SYMBOL_CRC(ieee80211_vif_to_wdev, 0xe7582fa7, "_gpl");
SYMBOL_CRC(ieee80211_queue_work, 0xd285cfea, "");
SYMBOL_CRC(ieee80211_queue_delayed_work, 0xef658020, "");
SYMBOL_CRC(ieee80211_hw_restart_disconnect, 0xe722d06b, "_gpl");
SYMBOL_CRC(ieee80211_resume_disconnect, 0xc356fe50, "_gpl");
SYMBOL_CRC(ieee80211_ave_rssi, 0xb9924042, "_gpl");
SYMBOL_CRC(ieee80211_radar_detected, 0x084a30ea, "");
SYMBOL_CRC(ieee80211_update_p2p_noa, 0x19f37f0d, "");
SYMBOL_CRC(ieee80211_parse_p2p_noa, 0x991a0ca0, "");
SYMBOL_CRC(ieee80211_txq_get_depth, 0xa661b9c9, "");
SYMBOL_CRC(ieee802_11_parse_elems_full, 0x68ae63b6, "");
SYMBOL_CRC(ieee80211_iter_chan_contexts_atomic, 0x0945c909, "_gpl");
SYMBOL_CRC(ieee80211_chswitch_done, 0x3819a9e0, "");
SYMBOL_CRC(ieee80211_ap_probereq_get, 0xb6c2655c, "");
SYMBOL_CRC(ieee80211_beacon_loss, 0x18e0e201, "");
SYMBOL_CRC(ieee80211_connection_loss, 0xa7145216, "");
SYMBOL_CRC(ieee80211_disconnect, 0xf896faef, "");
SYMBOL_CRC(ieee80211_cqm_rssi_notify, 0x04ed9ad5, "");
SYMBOL_CRC(ieee80211_cqm_beacon_loss_notify, 0x5641fcde, "");
SYMBOL_CRC(ieee80211_enable_rssi_reports, 0x77b5ba11, "");
SYMBOL_CRC(ieee80211_disable_rssi_reports, 0x1a335f4d, "");
SYMBOL_CRC(ieee80211_tdls_oper_request, 0xdd7179cb, "");
SYMBOL_CRC(ieee80211_calc_rx_airtime, 0x80e84b09, "_gpl");
SYMBOL_CRC(ieee80211_calc_tx_airtime, 0xf2a8043b, "_gpl");
SYMBOL_CRC(__ieee80211_get_radio_led_name, 0xb9c1237c, "");
SYMBOL_CRC(__ieee80211_get_assoc_led_name, 0x34141e89, "");
SYMBOL_CRC(__ieee80211_get_tx_led_name, 0x8784f2dd, "");
SYMBOL_CRC(__ieee80211_get_rx_led_name, 0x1d11bb98, "");
SYMBOL_CRC(__ieee80211_create_tpt_led_trigger, 0x6826dc2a, "");
SYMBOL_CRC(ieee80211_report_wowlan_wakeup, 0x599bfc55, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12f690bb, "crypto_skcipher_encrypt" },
	{ 0x1a62a585, "cfg80211_inform_bss_frame_data" },
	{ 0xed64da1d, "cfg80211_sched_scan_results" },
	{ 0x3c86019a, "cfg80211_sinfo_alloc_tid_stats" },
	{ 0xad28081, "skb_complete_wifi_ack" },
	{ 0xf389fe60, "__hw_addr_init" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x91434f47, "cfg80211_mgmt_tx_status_ext" },
	{ 0xbc816448, "cfg80211_rx_assoc_resp" },
	{ 0xb5a5f424, "cfg80211_rx_unexpected_4addr_frame" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x133ed563, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x666cd572, "skb_copy_bits" },
	{ 0xa8f3bf9c, "idr_find" },
	{ 0x117aca91, "cfg80211_merge_profile" },
	{ 0xf1893ccb, "eth_mac_addr" },
	{ 0x245533fa, "skb_put" },
	{ 0x4a74908, "cfg80211_links_removed" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc93da300, "cfg80211_chandef_dfs_required" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0xe4a54393, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x3c0c3d7b, "cfg80211_assoc_comeback" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x217baa30, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x86cb385a, "regulatory_pre_cac_allowed" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf9d46e7f, "skb_clone_sk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24afc85e, "trace_raw_output_prep" },
	{ 0x611dd4e6, "wiphy_work_flush" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd8737d29, "cfg80211_bss_color_notify" },
	{ 0xd05e84d5, "cfg80211_remain_on_channel_expired" },
	{ 0x97a86ef7, "bpf_trace_run6" },
	{ 0xe63c538a, "cfg80211_cac_event" },
	{ 0x1fad457a, "debugfs_create_symlink" },
	{ 0x9134f5aa, "skb_dequeue" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xcec67e6b, "cfg80211_register_netdevice" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd3e82136, "trace_event_printf" },
	{ 0xd48459e3, "led_trigger_blink_oneshot" },
	{ 0x96848186, "scnprintf" },
	{ 0xcc1a7c48, "cfg80211_is_element_inherited" },
	{ 0xed84f849, "ieee80211_amsdu_to_8023s" },
	{ 0x3e9110fa, "__hw_addr_unsync" },
	{ 0xaf34b045, "cfg80211_ref_bss" },
	{ 0x272d6876, "ieee80211_mandatory_rates" },
	{ 0xefab0596, "ieee80211_chandef_to_operating_class" },
	{ 0x4df02057, "crc32_be" },
	{ 0x345fa8cc, "ieee80211_operating_class_to_chandef" },
	{ 0xd49dfa9f, "dev_alloc_name" },
	{ 0xc40c19ac, "___pskb_trim" },
	{ 0x89f0e703, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xd93b0c31, "crypto_alloc_aead" },
	{ 0x4fdc32ce, "bpf_trace_run2" },
	{ 0xab7e0d47, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xae01ee2e, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5d7ee829, "event_triggers_call" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xf78e5db4, "cfg80211_new_sta" },
	{ 0xf91c85aa, "crypto_skcipher_setkey" },
	{ 0xa1d236fd, "netdev_set_default_ethtool_ops" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x875971b9, "__dynamic_dev_dbg" },
	{ 0x4a8da618, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xabb4b749, "pskb_expand_head" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xd1fbb15d, "skb_csum_hwoffload_help" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x2d5d7b4, "skb_queue_purge_reason" },
	{ 0x436a677b, "trace_event_buffer_commit" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xe6e1ed4b, "crypto_destroy_tfm" },
	{ 0x2b67473f, "eth_type_trans" },
	{ 0x2df3b375, "alloc_netdev_mqs" },
	{ 0xff27ca79, "wiphy_new_nm" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x4532035e, "cfg80211_sta_opmode_change_notify" },
	{ 0x92997ed8, "_printk" },
	{ 0xc9953228, "cfg80211_ready_on_channel" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x448748a3, "cfg80211_classify8021d" },
	{ 0x80a132a8, "cfg80211_tx_mgmt_expired" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf29d190e, "debugfs_create_x64" },
	{ 0xf01171ab, "ieee80211_fragment_element" },
	{ 0xfab6bb29, "cfg80211_rx_mlme_mgmt" },
	{ 0x63f0a6bd, "wiphy_delayed_work_queue" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x862ca6fd, "trace_event_ignore_this_pid" },
	{ 0x35c3bc57, "crypto_skcipher_decrypt" },
	{ 0xee240b8b, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x4b7e5846, "__alloc_skb" },
	{ 0xe36003e7, "cfg80211_put_bss" },
	{ 0x7f2817bb, "cfg80211_nan_func_terminated" },
	{ 0x8768c1b1, "cfg80211_ch_switch_notify" },
	{ 0x108e1483, "idr_get_next" },
	{ 0x55d3d027, "cfg80211_tx_mlme_mgmt" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0x5ec64011, "napi_gro_receive" },
	{ 0x1b9f5154, "cfg80211_gtk_rekey_notify" },
	{ 0x788c6ea, "skb_copy_expand" },
	{ 0xbef61bc9, "skb_queue_tail" },
	{ 0xbf34c46a, "ieee80211_get_channel_khz" },
	{ 0x14ed771e, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xff80bdbe, "__cfg80211_radar_event" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf774c239, "cfg80211_tdls_oper_request" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x66456184, "idr_remove" },
	{ 0x1c3eacea, "cfg80211_control_port_tx_status" },
	{ 0x9ce5d166, "cfg80211_chandef_primary" },
	{ 0xc4cc680e, "cfg80211_get_drvinfo" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb63c98a3, "crypto_aead_setkey" },
	{ 0x4bdce26a, "__skb_get_hash_net" },
	{ 0x6763ece1, "kernel_param_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xf590b601, "cfg80211_rx_spurious_frame" },
	{ 0x892faf58, "perf_trace_run_bpf_submit" },
	{ 0x2bff8dbd, "cfg80211_ibss_joined" },
	{ 0x40a72b7a, "cfg80211_nan_match" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7a901d6, "crypto_shash_setkey" },
	{ 0xf7be8ee8, "cfg80211_chandef_compatible" },
	{ 0x3a7ec4ec, "simple_open" },
	{ 0xbf733728, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x981279e6, "cfg80211_iter_combinations" },
	{ 0x816a37be, "idr_alloc" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xbdcc25, "cfg80211_iftype_allowed" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc1f2a21, "crypto_aead_encrypt" },
	{ 0x746b9923, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x99b65725, "noop_llseek" },
	{ 0x14f51fa5, "ieee80211_is_valid_amsdu" },
	{ 0x48fcc351, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xac6e06ea, "cfg80211_michael_mic_failure" },
	{ 0xccf223c9, "cfg80211_reg_can_beacon_relax" },
	{ 0x19f79ef0, "cfg80211_cqm_pktloss_notify" },
	{ 0xb43d6cdb, "cfg80211_any_usable_channels" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x3e4fb7ad, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x652032cb, "mac_pton" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8fa02936, "cfg80211_free_nan_func" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x1ba2d337, "skb_push" },
	{ 0xf40bc2f5, "ieee80211_operating_class_to_band" },
	{ 0x1f1ff644, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xf3927bce, "cfg80211_del_sta_sinfo" },
	{ 0xfc887f2b, "netif_receive_skb" },
	{ 0xb91fe9c7, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x6f107811, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x23a8f7a0, "skb_ensure_writable" },
	{ 0x70d279b1, "wiphy_unregister" },
	{ 0x25456082, "free_netdev" },
	{ 0x743bf072, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xdfd68943, "wiphy_work_queue" },
	{ 0xab4c5f2e, "led_trigger_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x43afadee, "ieee80211_radiotap_iterator_init" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x45feb4e8, "ieee80211_data_to_8023_exthdr" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe3214cba, "ethtool_op_get_link" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xcf7d0fc, "debugfs_create_ulong" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xc916d0e6, "bpf_trace_run1" },
	{ 0x6fa61da7, "idr_destroy" },
	{ 0xa3bc0467, "default_llseek" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0x231b88b4, "cfg80211_schedule_channels_check" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x9f404f29, "rhashtable_free_and_destroy" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x3a121993, "kernel_param_unlock" },
	{ 0x5e25c12a, "wiphy_work_cancel" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0xdf4d81fe, "wiphy_delayed_work_timer" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2b3d427c, "cfg80211_chandef_usable" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x9ec439f5, "rht_bucket_nested_insert" },
	{ 0xdaf96b81, "wiphy_delayed_work_cancel" },
	{ 0x53595f1b, "kfree_skb_list_reason" },
	{ 0x3193c68e, "cfg80211_cqm_beacon_loss_notify" },
	{ 0xa5a5080a, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xe3678843, "debugfs_create_u32" },
	{ 0x8ba55057, "cfg80211_rx_control_port" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x865029ac, "__hw_addr_sync" },
	{ 0xb0b2401b, "__pskb_pull_tail" },
	{ 0x6573e9ba, "netif_rx" },
	{ 0x71d324f3, "__netdev_alloc_skb" },
	{ 0x8f1bbd3b, "debugfs_create_x16" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x1bb59029, "ieee80211_s1g_channel_width" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc94ec4af, "skb_trim" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x4b31764a, "cfg80211_ch_switch_started_notify" },
	{ 0xa709bded, "cfg80211_check_station_change" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9f216d62, "nonseekable_open" },
	{ 0x333324ea, "cfg80211_sched_scan_stopped_locked" },
	{ 0xbacd4924, "cfg80211_reg_can_beacon" },
	{ 0x9d91f63e, "bpf_trace_run3" },
	{ 0x8dbb8de2, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x588a1d6, "idr_for_each" },
	{ 0x7732cfe8, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4604cd9e, "debugfs_create_file" },
	{ 0x59db8522, "cfg80211_unregister_wdev" },
	{ 0x7cd6bb8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8aea557, "cfg80211_probe_status" },
	{ 0x87431a85, "freq_reg_info" },
	{ 0x8764f010, "trace_event_buffer_reserve" },
	{ 0x435b4ec5, "cfg80211_stop_iface" },
	{ 0x7acb86ed, "ieee80211_radiotap_iterator_next" },
	{ 0xf8251a67, "cfg80211_rx_mgmt_ext" },
	{ 0x85df9b6c, "strsep" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0x257b21bf, "crypto_shash_finup" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb5d44309, "param_ops_bool" },
	{ 0xd6c87a05, "cfg80211_defragment_element" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4bb5acc2, "wiphy_delayed_work_flush" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4e7438b7, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe03a05c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x85b2eeca, "led_trigger_register" },
	{ 0x8e4e7182, "skb_copy" },
	{ 0x6c073083, "cfg80211_assoc_failure" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x70448bf5, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc873df2d, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x57a0d4a5, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x62a9812e, "cfg80211_send_layer2_update" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x55213937, "dev_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0xaf4971e8, "cfg80211_get_iftype_ext_capa" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7d74d522, "kstrtoull_from_user" },
	{ 0x2dfaefb3, "led_trigger_event" },
	{ 0x426adc62, "cfg80211_shutdown_all_interfaces" },
	{ 0x98cf60b3, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x5b147705, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x93262c22, "cfg80211_report_obss_beacon_khz" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xb7963ac, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x54de5840, "crypto_alloc_shash" },
	{ 0xd4cb4125, "debugfs_create_dir" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0x29415532, "generic_file_llseek" },
	{ 0x66181289, "led_trigger_blink" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5b5621c, "__skb_gso_segment" },
	{ 0xc9e57ad3, "cfg80211_unlink_bss" },
	{ 0x7cc9395f, "__cfg80211_get_bss" },
	{ 0x2f2e2657, "wiphy_free" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x336a7bc4, "cfg80211_cqm_rssi_notify" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xc0f3a5eb, "netdev_info" },
	{ 0xefa6610f, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd69ea772, "cfg80211_auth_timeout" },
	{ 0x93e0aa8, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0xa12fe87e, "crypto_alloc_skcipher" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,libarc4");


MODULE_INFO(srcversion, "2F1FED79F6BF4547EAF4C7A");
MODULE_INFO(rhelversion, "9.6");
