#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xede5615c, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xa8a4ff62, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x842715b5, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x2d34ea08, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x519b3337, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x06db8d86, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x247b3152, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x49a6cb00, "");
SYMBOL_CRC(ip_vs_conn_put, 0x37e3d0f4, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x503a0267, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xc369b132, "");
SYMBOL_CRC(register_ip_vs_app, 0xc65a3cf9, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xde2d226c, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x46239c7a, "");
SYMBOL_CRC(ip_vs_proto_get, 0xb6073c9b, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xff6f1dbc, "");
SYMBOL_CRC(register_ip_vs_pe, 0xb6e62e9a, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xe2e27fc1, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0xa6be0669, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdb44362, "nf_ct_ext_add" },
	{ 0xbaa73eaf, "nf_conntrack_find_get" },
	{ 0x2a716c1f, "try_module_get" },
	{ 0xe365d2d4, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x76e22218, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x666cd572, "skb_copy_bits" },
	{ 0xb2135ef9, "xfrm_lookup" },
	{ 0x8c10787, "proc_dointvec_jiffies" },
	{ 0xac42f009, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x217baa30, "consume_skb" },
	{ 0xf11e6721, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xaec144f0, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xcec0f571, "nf_ct_netns_get" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x79b50e91, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xd8392d79, "kernel_bind" },
	{ 0x31537066, "genlmsg_put" },
	{ 0xb9ef604f, "udp_set_csum" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x534327ac, "ip6_route_me_harder" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x51dc6b47, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x108516cc, "__module_get" },
	{ 0xdcbd672f, "ip_route_output_flow" },
	{ 0x530fdb92, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x22c0a554, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0x5cfd935d, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xa1648c3d, "proc_create_net_data" },
	{ 0xabb4b749, "pskb_expand_head" },
	{ 0x1f8fe33f, "register_pernet_subsys" },
	{ 0x6f483f2a, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xd457b7de, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x38976691, "nf_register_net_hooks" },
	{ 0xb1929ab1, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x4b7e5846, "__alloc_skb" },
	{ 0x7d652ad0, "kmem_cache_alloc" },
	{ 0xd644f313, "ipv6_sock_mc_join" },
	{ 0x7627e34a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xd99c19b, "ipv6_dev_get_saddr" },
	{ 0x4bdce26a, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x22e8097f, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x746b9923, "sk_skb_reason_drop" },
	{ 0x5797f727, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x1d8389c0, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5af92924, "nf_conntrack_alter_reply" },
	{ 0xe4f916f4, "ip_route_me_harder" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x1ba2d337, "skb_push" },
	{ 0xc0d914d8, "kmem_cache_free" },
	{ 0xdc116e3b, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0x584a2948, "proc_doulongvec_minmax" },
	{ 0x45f3374, "nf_ct_expect_alloc" },
	{ 0x23a8f7a0, "skb_ensure_writable" },
	{ 0x6a0f781b, "iov_iter_kvec" },
	{ 0xbf9d290e, "ip_mc_join_group" },
	{ 0x68c2a3a9, "nf_ct_expect_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x73a168ed, "ns_capable" },
	{ 0x9503ce4f, "nf_unregister_net_hooks" },
	{ 0x9a4c10bc, "inet_select_addr" },
	{ 0x141ffbac, "unregister_pernet_device" },
	{ 0xdbeaed26, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3f6b80e6, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdf4d1e04, "kthread_stop" },
	{ 0xc8bf84a7, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1315fb69, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xd9e883ba, "kernel_connect" },
	{ 0xcc25eb41, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1d67cd1, "ip_defrag" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x356454e4, "__icmpv6_send" },
	{ 0xb0b2401b, "__pskb_pull_tail" },
	{ 0x311c99f5, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc94ec4af, "skb_trim" },
	{ 0xbc4ccc05, "nf_hook_slow" },
	{ 0x86df4d81, "mutex_trylock" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7ed08127, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x7b9c7c18, "nf_ct_deliver_cached_events" },
	{ 0x4ef8e68f, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1199a9b0, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9216a46b, "__icmp_send" },
	{ 0x999e8297, "vfree" },
	{ 0xe97e6db4, "skb_set_owner_w" },
	{ 0xb892bd4b, "__skb_checksum" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xfe5add34, "sock_create_kern" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xde16fae1, "init_user_ns" },
	{ 0xdf546b15, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4591c3e9, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbb3f215c, "seq_printf" },
	{ 0xe0b436, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x1f40c9b0, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe2fd062e, "ipv4_update_pmtu" },
	{ 0x3caa890f, "nf_defrag_ipv6_enable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x4aad4e23, "dst_release" },
	{ 0x7fc17f58, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1ba950b5, "proc_dointvec" },
	{ 0x6c604ab5, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xf37f7bc2, "unregister_net_sysctl_table" },
	{ 0x1937446b, "ip_local_out" },
	{ 0xdbfe5121, "genl_unregister_family" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd23935f9, "udp6_set_csum" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xb7963ac, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x98686277, "genl_register_family" },
	{ 0x9287455f, "kernel_sendmsg" },
	{ 0xf74c4a43, "nf_ct_netns_put" },
	{ 0x1885e3fa, "register_pernet_device" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x89402ca9, "kmem_cache_destroy" },
	{ 0x1f4be2f7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x90813852, "proc_dointvec_minmax" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,ipv6,nf_defrag_ipv6");


MODULE_INFO(srcversion, "19A6DAAF650C30AEC160D30");
MODULE_INFO(rhelversion, "9.6");
