#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x4b53fd9c, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x3f02d144, "_gpl");
SYMBOL_CRC(flow_offload_free, 0x93e2ae5b, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x1ef35082, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x999fceab, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0x8fce5d33, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0x808c11c4, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0x01d46df7, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0x53ec4947, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x3c98eddb, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xaaf8da42, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0xac249b4f, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0x18b1310d, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0x14406a5a, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x12ebdc80, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x95082379, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x00dd6250, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x29de0097, "flow_rule_alloc" },
	{ 0xf041468a, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xcc515c04, "skb_gso_validate_network_len" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x31d5b8d3, "neigh_xmit" },
	{ 0xa3e14eec, "flow_block_cb_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x263381e, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x7a54bff9, "rhashtable_walk_enter" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xa1648c3d, "proc_create_net_data" },
	{ 0xabb4b749, "pskb_expand_head" },
	{ 0x1f8fe33f, "register_pernet_subsys" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x830b9f9f, "down_write" },
	{ 0x8422e0a0, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xbf733728, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x641edb5b, "dev_get_by_index" },
	{ 0x5d193684, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x69d45602, "rhashtable_walk_start_check" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2de76553, "flow_indr_dev_setup_offload" },
	{ 0x6bbe1b7c, "rhashtable_walk_stop" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x1315fb69, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x9ec439f5, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb0b2401b, "__pskb_pull_tail" },
	{ 0x2819aedd, "rhashtable_destroy" },
	{ 0xf4021221, "down_read" },
	{ 0xfe1c6a4b, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8dbb8de2, "rhashtable_insert_slow" },
	{ 0xf271bbbc, "rt_read_lock" },
	{ 0x7cd6bb8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1f7872b7, "neigh_destroy" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x75fd3813, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x37c364c3, "rt_read_unlock" },
	{ 0x4591c3e9, "remove_proc_entry" },
	{ 0xbd2fab37, "nf_ct_acct_add" },
	{ 0xbb3f215c, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x4aad4e23, "dst_release" },
	{ 0x210fc08c, "nf_ct_l4proto_find" },
	{ 0x6c604ab5, "seq_puts" },
	{ 0x9ec842b, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xb0b93425, "up_read" },
	{ 0x22ab6d82, "rhashtable_walk_exit" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "DCF04ED4AAF51C5552BBA3C");
MODULE_INFO(rhelversion, "9.6");
