#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x65842a3a, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xed652ac3, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x33d0b2c0, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15dd5e20, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0x824f77b9, "sock_queue_rcv_skb_reason" },
	{ 0xf147f732, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x133ed563, "bpf_trace_run4" },
	{ 0x666cd572, "skb_copy_bits" },
	{ 0xc08018a, "radix_tree_insert" },
	{ 0x245533fa, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x217baa30, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24afc85e, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x1da7f663, "radix_tree_lookup" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xd3e82136, "trace_event_printf" },
	{ 0xd8392d79, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x89f0e703, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x5d7ee829, "event_triggers_call" },
	{ 0xc43d54bf, "__wake_up" },
	{ 0xbbd96356, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x4357969b, "sk_error_report" },
	{ 0x2d5d7b4, "skb_queue_purge_reason" },
	{ 0x929a4613, "radix_tree_iter_delete" },
	{ 0x436a677b, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x4898db2c, "proto_unregister" },
	{ 0xf4b13d0a, "sock_register" },
	{ 0x91c95612, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x862ca6fd, "trace_event_ignore_this_pid" },
	{ 0x4b7e5846, "__alloc_skb" },
	{ 0x5ecc783f, "rt_write_unlock" },
	{ 0x1e8da330, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x67863c1b, "__xa_alloc" },
	{ 0x98419ced, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x892faf58, "perf_trace_run_bpf_submit" },
	{ 0x899f3f6c, "__traceiter_sk_data_ready" },
	{ 0x22e8097f, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5fa3c8c5, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x746b9923, "sk_skb_reason_drop" },
	{ 0xaf6b3bc2, "xa_load" },
	{ 0x3851ff76, "kernel_getsockname" },
	{ 0x67522dfd, "do_wait_intr_irq" },
	{ 0x5d35faa1, "sk_free" },
	{ 0x6eca960d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x1ba2d337, "skb_push" },
	{ 0xe7ad075f, "sock_no_listen" },
	{ 0xb91fe9c7, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xdbeaed26, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf674f2f3, "skb_copy_datagram_iter" },
	{ 0xa5d69665, "sk_alloc" },
	{ 0x23b8b3eb, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xb159918b, "sock_no_mmap" },
	{ 0xc4fba77a, "__init_waitqueue_head" },
	{ 0xcc186cbf, "sock_no_sendpage" },
	{ 0x71d324f3, "__netdev_alloc_skb" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x90fc2772, "__xa_insert" },
	{ 0x31236e7d, "xa_erase" },
	{ 0x9d91f63e, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe97e6db4, "skb_set_owner_w" },
	{ 0x8764f010, "trace_event_buffer_reserve" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xfe5add34, "sock_create_kern" },
	{ 0xa7cac3c4, "xa_find" },
	{ 0xe0d6ff97, "skb_recv_datagram" },
	{ 0x2c73ba6e, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x55248661, "xa_store" },
	{ 0x70448bf5, "skb_clone" },
	{ 0x9a3f03b0, "rt_write_lock" },
	{ 0x54563f3d, "_copy_from_iter" },
	{ 0x7fc17f58, "sock_release" },
	{ 0xbeea30c4, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x55c7f7c0, "xa_find_after" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xc461b5b2, "iov_iter_revert" },
	{ 0x9287455f, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x6879475e, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x1f4be2f7, "release_sock" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "48BEB303FAF074C19834E70");
MODULE_INFO(rhelversion, "9.6");
