#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xa581e56e, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xe50a8890, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x4bd8404e, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x45d0c7aa, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xa3c6f172, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x8f5afdb3, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x9b90d90f, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x60d69a4f, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x6b7de9d5, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x28dd9ae1, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x14a67205, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xa1b81f4d, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x75727e21, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x2b9a6c61, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x14f40da8, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xf846c970, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x530396db, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x1f15e66e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xad1892e5, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xfc57e178, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x7eb11be9, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xb251559b, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x9a4e9f0e, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x32a43ebe, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x1fa6fb71, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xb701b585, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xac64f6a7, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x52e4b863, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x27a6a32e, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xe682a239, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xd49d1f5f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x80d1487d, "kthread_queue_work" },
	{ 0xd5667f34, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0x2056fc8a, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x15731e7, "kthread_create_worker" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0x99e7ad9f, "sched_set_fifo" },
	{ 0xa49f6e2a, "kthread_destroy_worker" },
	{ 0x81c5eef3, "crypto_register_aead" },
	{ 0x65ed5a1, "crypto_unregister_aead" },
	{ 0xac77baa, "crypto_register_ahash" },
	{ 0x438d3c7b, "crypto_unregister_ahash" },
	{ 0xa18d6376, "crypto_register_akcipher" },
	{ 0x39560fe9, "crypto_unregister_akcipher" },
	{ 0x4ed58125, "crypto_register_kpp" },
	{ 0xf9fe6981, "crypto_unregister_kpp" },
	{ 0xb6c4c678, "crypto_register_skcipher" },
	{ 0x1aa449d0, "crypto_unregister_skcipher" },
	{ 0x9956608f, "crypto_enqueue_request" },
	{ 0x304ca951, "crypto_dequeue_request" },
	{ 0xb63d69e3, "crypto_enqueue_request_head" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5388079424D07DA9929859C");
MODULE_INFO(rhelversion, "9.6");
