#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(to_cxl_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_root_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_endpoint_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_switch_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_port, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_root, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_port_to_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_register_pci_bus, "_gpl", "CXL");
KSYMTAB_FUNC(find_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(put_cxl_root, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_dport, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_rch_dport, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_ports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_pci_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_find_port, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hb_modulo, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_root_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_alloc, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add_locked, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_decoder_autoremove, "_gpl", "CXL");
KSYMTAB_FUNC(__cxl_driver_register, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_driver_unregister, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_rescan, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_bus_drain, "_gpl", "CXL");
KSYMTAB_FUNC(schedule_cxl_memdev_detach, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_get_perf_coordinates, "_gpl", "CXL");
KSYMTAB_DATA(cxl_bus_type, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_debugfs_create_dir, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm_bridge, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_nvdimm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_probe_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_component_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_device_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock_instance, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_find_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_count_regblock, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_map_pmu_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_setup_regs, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_rcd_component_reg_phys, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_trigger_poison_list, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_inject_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_clear_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_update_perf, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(set_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(clear_exclusive_cxl_commands, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_fw_upload, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_memdev, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_sanitize_setup_notifier, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_internal_send_cmd, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_enumerate_cmds, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_event_trace_record, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_event_records, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dev_state_identify, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_create_range_info, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_set_timestamp, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_mem_get_poison, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_poison_state_init, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_memdev_state_create, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_port_enumerate_dports, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_await_media_ready, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dvsec_rr_decode, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_hdm_decode_init, "_gpl", "CXL");
KSYMTAB_FUNC(read_cdat_data, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_cor_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_error_detected, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_decoder_reset_detected, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_add_passthrough_decoder, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_setup_hdm, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_dpa_debug, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_dpa_reserve, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_enumerate_decoders, "_gpl", "CXL");
KSYMTAB_FUNC(devm_cxl_pmu_add, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_endpoint_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_switch_parse_cdat, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_region, "_gpl", "CXL");
KSYMTAB_FUNC(is_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(to_cxl_pmem_region, "_gpl", "CXL");
KSYMTAB_FUNC(cxl_add_to_region, "_gpl", "CXL");

SYMBOL_CRC(to_cxl_root_decoder, 0x6a734ba8, "_gpl");
SYMBOL_CRC(is_endpoint_decoder, 0xea331286, "_gpl");
SYMBOL_CRC(is_root_decoder, 0xf224dcd1, "_gpl");
SYMBOL_CRC(is_switch_decoder, 0xb6722aa2, "_gpl");
SYMBOL_CRC(to_cxl_decoder, 0x76652ba9, "_gpl");
SYMBOL_CRC(to_cxl_endpoint_decoder, 0x39adcb25, "_gpl");
SYMBOL_CRC(to_cxl_switch_decoder, 0x54e04bad, "_gpl");
SYMBOL_CRC(is_cxl_port, 0x105549a4, "_gpl");
SYMBOL_CRC(to_cxl_port, 0xa98f1db7, "_gpl");
SYMBOL_CRC(devm_cxl_add_port, 0x27ca5f3c, "_gpl");
SYMBOL_CRC(devm_cxl_add_root, 0xe5bcac1c, "_gpl");
SYMBOL_CRC(cxl_port_to_pci_bus, 0x4837570e, "_gpl");
SYMBOL_CRC(devm_cxl_register_pci_bus, 0xb08e730c, "_gpl");
SYMBOL_CRC(find_cxl_root, 0xe9f250b8, "_gpl");
SYMBOL_CRC(put_cxl_root, 0xb1fc507a, "_gpl");
SYMBOL_CRC(devm_cxl_add_dport, 0xd33cdff7, "_gpl");
SYMBOL_CRC(devm_cxl_add_rch_dport, 0xce23a177, "_gpl");
SYMBOL_CRC(cxl_endpoint_autoremove, 0x2953f771, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_ports, 0x6917d541, "_gpl");
SYMBOL_CRC(cxl_pci_find_port, 0xbafb8d5e, "_gpl");
SYMBOL_CRC(cxl_mem_find_port, 0xd5d65219, "_gpl");
SYMBOL_CRC(cxl_hb_modulo, 0x1683238b, "_gpl");
SYMBOL_CRC(cxl_root_decoder_alloc, 0x9cdfc5aa, "_gpl");
SYMBOL_CRC(cxl_switch_decoder_alloc, 0x6bbeecd6, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_alloc, 0x636557e8, "_gpl");
SYMBOL_CRC(cxl_decoder_add_locked, 0x03e0b1e9, "_gpl");
SYMBOL_CRC(cxl_decoder_add, 0xa56ff2f9, "_gpl");
SYMBOL_CRC(cxl_decoder_autoremove, 0xf6d81302, "_gpl");
SYMBOL_CRC(__cxl_driver_register, 0xa32301b6, "_gpl");
SYMBOL_CRC(cxl_driver_unregister, 0xcc2b0f2c, "_gpl");
SYMBOL_CRC(cxl_bus_rescan, 0x701bbaad, "_gpl");
SYMBOL_CRC(cxl_bus_drain, 0x98628ac8, "_gpl");
SYMBOL_CRC(schedule_cxl_memdev_detach, 0xccde711a, "_gpl");
SYMBOL_CRC(cxl_endpoint_get_perf_coordinates, 0x5c8b21a7, "_gpl");
SYMBOL_CRC(cxl_bus_type, 0x6645f94d, "_gpl");
SYMBOL_CRC(cxl_debugfs_create_dir, 0xbbe466e3, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm_bridge, 0x7f373ee9, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm_bridge, 0xc9a228d1, "_gpl");
SYMBOL_CRC(cxl_find_nvdimm_bridge, 0x164fea3e, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm_bridge, 0x9e9f3bac, "_gpl");
SYMBOL_CRC(is_cxl_nvdimm, 0x8c6bafe5, "_gpl");
SYMBOL_CRC(to_cxl_nvdimm, 0xad9f0717, "_gpl");
SYMBOL_CRC(devm_cxl_add_nvdimm, 0x929a40e5, "_gpl");
SYMBOL_CRC(cxl_probe_component_regs, 0xb0648199, "_gpl");
SYMBOL_CRC(cxl_probe_device_regs, 0x1f977975, "_gpl");
SYMBOL_CRC(cxl_map_component_regs, 0x6659ff6e, "_gpl");
SYMBOL_CRC(cxl_map_device_regs, 0xc70880b6, "_gpl");
SYMBOL_CRC(cxl_find_regblock_instance, 0x4a3e79a3, "_gpl");
SYMBOL_CRC(cxl_find_regblock, 0xb9fafa1d, "_gpl");
SYMBOL_CRC(cxl_count_regblock, 0xd3e39002, "_gpl");
SYMBOL_CRC(cxl_map_pmu_regs, 0x14f327d3, "_gpl");
SYMBOL_CRC(cxl_setup_regs, 0xcade9669, "_gpl");
SYMBOL_CRC(cxl_rcd_component_reg_phys, 0xce017b16, "_gpl");
SYMBOL_CRC(cxl_trigger_poison_list, 0xb912bb27, "_gpl");
SYMBOL_CRC(cxl_inject_poison, 0xb6add1b2, "_gpl");
SYMBOL_CRC(cxl_clear_poison, 0x72ea0e3e, "_gpl");
SYMBOL_CRC(cxl_memdev_update_perf, 0xd4a15506, "_gpl");
SYMBOL_CRC(is_cxl_memdev, 0x0e45a8eb, "_gpl");
SYMBOL_CRC(set_exclusive_cxl_commands, 0x452511d2, "_gpl");
SYMBOL_CRC(clear_exclusive_cxl_commands, 0x3b371fa2, "_gpl");
SYMBOL_CRC(devm_cxl_setup_fw_upload, 0x75a25395, "_gpl");
SYMBOL_CRC(devm_cxl_add_memdev, 0x7edeb337, "_gpl");
SYMBOL_CRC(devm_cxl_sanitize_setup_notifier, 0x6076b0d9, "_gpl");
SYMBOL_CRC(cxl_internal_send_cmd, 0x134af7cd, "_gpl");
SYMBOL_CRC(cxl_enumerate_cmds, 0xe972e540, "_gpl");
SYMBOL_CRC(cxl_event_trace_record, 0x68ff8d4d, "_gpl");
SYMBOL_CRC(cxl_mem_get_event_records, 0xc41eb758, "_gpl");
SYMBOL_CRC(cxl_dev_state_identify, 0x541e7b40, "_gpl");
SYMBOL_CRC(cxl_mem_create_range_info, 0x60047f25, "_gpl");
SYMBOL_CRC(cxl_set_timestamp, 0xb062b52c, "_gpl");
SYMBOL_CRC(cxl_mem_get_poison, 0xfd36fac6, "_gpl");
SYMBOL_CRC(cxl_poison_state_init, 0xf745a5f8, "_gpl");
SYMBOL_CRC(cxl_memdev_state_create, 0x73eb7037, "_gpl");
SYMBOL_CRC(devm_cxl_port_enumerate_dports, 0xbfe1de0c, "_gpl");
SYMBOL_CRC(cxl_await_media_ready, 0x0a3cdb97, "_gpl");
SYMBOL_CRC(cxl_dvsec_rr_decode, 0x5e44ca67, "_gpl");
SYMBOL_CRC(cxl_hdm_decode_init, 0x38b5b3d1, "_gpl");
SYMBOL_CRC(read_cdat_data, 0xfd6d92f0, "_gpl");
SYMBOL_CRC(cxl_cor_error_detected, 0xf03529a8, "_gpl");
SYMBOL_CRC(cxl_error_detected, 0x129c6ac9, "_gpl");
SYMBOL_CRC(cxl_endpoint_decoder_reset_detected, 0xc372f1ab, "_gpl");
SYMBOL_CRC(devm_cxl_add_passthrough_decoder, 0xe7366f5f, "_gpl");
SYMBOL_CRC(devm_cxl_setup_hdm, 0x52686141, "_gpl");
SYMBOL_CRC(cxl_dpa_debug, 0xda116d55, "_gpl");
SYMBOL_CRC(devm_cxl_dpa_reserve, 0xb747df3c, "_gpl");
SYMBOL_CRC(devm_cxl_enumerate_decoders, 0x5da1c153, "_gpl");
SYMBOL_CRC(devm_cxl_pmu_add, 0xc6920677, "_gpl");
SYMBOL_CRC(cxl_endpoint_parse_cdat, 0x2e124e57, "_gpl");
SYMBOL_CRC(cxl_switch_parse_cdat, 0x7542358e, "_gpl");
SYMBOL_CRC(is_cxl_region, 0xace2216e, "_gpl");
SYMBOL_CRC(is_cxl_pmem_region, 0x791e74f8, "_gpl");
SYMBOL_CRC(to_cxl_pmem_region, 0x5f86afbb, "_gpl");
SYMBOL_CRC(cxl_add_to_region, 0x93d4fe21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x48ca5835, "firmware_upload_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0x83cce399, "ida_alloc_range" },
	{ 0x5df9a0b, "pcie_capability_read_word" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0xefcf8faa, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x133ed563, "bpf_trace_run4" },
	{ 0xbd9befa2, "debugfs_attr_write" },
	{ 0x2056fc8a, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc4680fde, "einj_cxl_is_initialized" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x20e1aaa1, "dev_set_name" },
	{ 0x163379f2, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24afc85e, "trace_raw_output_prep" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x50e57e5, "cdev_device_del" },
	{ 0x97a86ef7, "bpf_trace_run6" },
	{ 0x730a37ff, "pci_doe" },
	{ 0xeafac464, "device_unregister" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd3e82136, "trace_event_printf" },
	{ 0xcd5398eb, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0x294bd436, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x89f0e703, "trace_event_raw_init" },
	{ 0x90576ec4, "vmemdup_user" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc77a4b0d, "seq_lseek" },
	{ 0xa0d0b866, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4fdc32ce, "bpf_trace_run2" },
	{ 0x5d7ee829, "event_triggers_call" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xae8ac792, "hmat_update_target_coordinates" },
	{ 0xf0674833, "devm_remove_action" },
	{ 0x9856fd7b, "acpi_node_backed_by_real_pxm" },
	{ 0xc89f1575, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x875971b9, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x756e6612, "platform_bus" },
	{ 0x58274780, "dev_driver_string" },
	{ 0x436a677b, "trace_event_buffer_commit" },
	{ 0xbcb077ee, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xc81289d7, "__devm_request_region" },
	{ 0x6822de1a, "firmware_upload_unregister" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8b40b88, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcc935375, "walk_iomem_res_desc" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x37270586, "put_device" },
	{ 0x862ca6fd, "trace_event_ignore_this_pid" },
	{ 0xd4625fc8, "cdat_table_parse" },
	{ 0x1658456f, "bus_for_each_dev" },
	{ 0x4758f918, "sysfs_create_link" },
	{ 0xb2db2d5, "remove_resource" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x48a6fb2f, "debugfs_attr_read" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x892faf58, "perf_trace_run_bpf_submit" },
	{ 0x904c5bc8, "sysfs_update_group" },
	{ 0x821e8db, "bus_unregister" },
	{ 0x830b9f9f, "down_write" },
	{ 0xac385964, "devm_kfree" },
	{ 0xd5667f34, "_dev_err" },
	{ 0x8422e0a0, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xd2a63269, "debugfs_create_bool" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xb88d2570, "bus_find_device" },
	{ 0x961be0f5, "device_add" },
	{ 0xc56e6652, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xf034e49c, "simple_attr_release" },
	{ 0xaf6b3bc2, "xa_load" },
	{ 0x99b65725, "noop_llseek" },
	{ 0x48fcc351, "bpf_trace_run5" },
	{ 0xe8799f76, "device_attach" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x8aa8d639, "kernfs_find_and_get_ns" },
	{ 0x1f1ff644, "debugfs_remove" },
	{ 0xe8e72273, "pci_read_config_word" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xb91fe9c7, "trace_event_reg" },
	{ 0xa326d9ef, "ida_free" },
	{ 0xc09cbc02, "driver_unregister" },
	{ 0xb06a0ddf, "pcie_link_speed_mbps" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8bcc1492, "device_find_child" },
	{ 0x4cda6c2e, "mutex_lock_interruptible" },
	{ 0x6319fd86, "devm_release_action" },
	{ 0xaa86d4ad, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb9bd0909, "down_read_interruptible" },
	{ 0x7fa19cc4, "alloc_free_mem_region" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xb4ca64d6, "bus_rescan_devices" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf4021221, "down_read" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x90fc2772, "__xa_insert" },
	{ 0x31236e7d, "xa_erase" },
	{ 0x9d91f63e, "bpf_trace_run3" },
	{ 0x10dd0ef, "seq_read" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4604cd9e, "debugfs_create_file" },
	{ 0x34620838, "pci_find_doe_mailbox" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8764f010, "trace_event_buffer_reserve" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0x851ce71f, "down_write_killable" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x86a5808c, "einj_cxl_available_error_type_show" },
	{ 0xef6ab8de, "xa_destroy" },
	{ 0xa7cac3c4, "xa_find" },
	{ 0xf5ee3e50, "kernfs_put" },
	{ 0x66eb2486, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbb3f215c, "seq_printf" },
	{ 0x16cf9137, "device_match_name" },
	{ 0x28cf1b27, "einj_cxl_inject_error" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc34703b2, "einj_cxl_inject_rch_error" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xd05697ef, "single_release" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x758b416f, "pci_walk_bus" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x55c7f7c0, "xa_find_after" },
	{ 0xaa42da56, "node_set_perf_attrs" },
	{ 0x3282a6e0, "__devm_add_action" },
	{ 0x6f2d48, "pci_find_dvsec_capability" },
	{ 0xaaf85595, "device_find_child_by_name" },
	{ 0xfdf78eb8, "device_release_driver" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe48e379b, "single_open" },
	{ 0xb5701e57, "pci_write_config_word" },
	{ 0xd4cb4125, "debugfs_create_dir" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0x230203b2, "pcie_bandwidth_available" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb0b93425, "up_read" },
	{ 0x1d8fd4db, "driver_register" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x55342d03, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70960b96, "pci_bus_type" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x7822aa5e, "bus_register" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "einj");


MODULE_INFO(srcversion, "105F24BA6ED35A20C83F9F6");
MODULE_INFO(rhelversion, "9.6");
