#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x93a4eb43, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x926a4bf4, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xaef22246, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0xc065a261, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0x66aa9a1a, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x49d14e74, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x0444d404, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x6f1f593b, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0xf797c6da, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x48a615de, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xd5a7ea14, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0x6abe1940, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x4bd4d2d3, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x1b3fb1d9, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x7966ee18, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x26129c61, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2a716c1f, "try_module_get" },
	{ 0x4809e95, "drm_fb_helper_init" },
	{ 0xc8804a71, "drm_fb_helper_debug_enter" },
	{ 0x74d15b15, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xf641447a, "drm_client_buffer_vmap" },
	{ 0xecc270f8, "drm_fb_helper_lastclose" },
	{ 0x7d4a7604, "drm_fb_helper_setcmap" },
	{ 0x6db2eef4, "drm_fb_helper_alloc_info" },
	{ 0x38772e48, "drm_helper_disable_unused_functions" },
	{ 0x14943e79, "drm_fb_helper_unprepare" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xdab2a69d, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x1e8325d9, "drm_fb_helper_fini" },
	{ 0x66aedbe9, "dma_mmap_pages" },
	{ 0xe154e437, "drm_client_framebuffer_delete" },
	{ 0xeaa247f3, "dma_free_pages" },
	{ 0xa9c963ce, "drm_client_framebuffer_create" },
	{ 0x37a0cba, "kfree" },
	{ 0xebe7a4e9, "drm_fb_helper_fill_info" },
	{ 0x2dbcacd3, "drm_gem_create_mmap_offset" },
	{ 0x2f4e5b73, "drm_gem_object_init" },
	{ 0x58274780, "dev_driver_string" },
	{ 0x3af36556, "drm_fb_helper_hotplug_event" },
	{ 0xf6405e90, "fb_sys_write" },
	{ 0xc0be3de9, "sys_imageblit" },
	{ 0xf6e8e094, "drm_atomic_helper_damage_iter_init" },
	{ 0x26c7f1d8, "drm_fb_helper_blank" },
	{ 0xabdf5d0a, "dma_alloc_pages" },
	{ 0x38844ed9, "drm_gem_private_object_init" },
	{ 0xfc507efd, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xdb217e64, "sys_fillrect" },
	{ 0x7627e34a, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7ce6eeae, "drm_client_init" },
	{ 0xfa86ae6a, "drm_gem_vm_close" },
	{ 0x78c58300, "drm_gem_vm_open" },
	{ 0xe40b0923, "drm_fb_helper_prepare" },
	{ 0x830b9f9f, "down_write" },
	{ 0xd5667f34, "_dev_err" },
	{ 0x8422e0a0, "up_write" },
	{ 0xbc4ba1a6, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x47b5a4e7, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xfa3ae6e4, "drm_gem_handle_create" },
	{ 0xfdff9d88, "drm_gem_fb_get_obj" },
	{ 0x830291d4, "__drm_dev_dbg" },
	{ 0x86abf039, "drm_fb_helper_pan_display" },
	{ 0x95a82f, "drm_client_release" },
	{ 0xcf3bc138, "sys_copyarea" },
	{ 0x5104a437, "dma_free_attrs" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x5e70c9c2, "__dma_sync_single_for_device" },
	{ 0x56470118, "__warn_printk" },
	{ 0x32db82ca, "drm_client_buffer_vunmap" },
	{ 0x9a2110c1, "fb_sys_read" },
	{ 0x4af70aa5, "drm_fb_helper_debug_leave" },
	{ 0x8b6e31f6, "dma_buf_vmap_unlocked" },
	{ 0xedf23e43, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xe438d58f, "dma_get_sgtable_attrs" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x9297ff1c, "drm_fb_helper_initial_config" },
	{ 0x72740e11, "drm_fb_helper_unregister_info" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xc20655e1, "drm_fb_helper_ioctl" },
	{ 0x75a7e810, "drm_fb_helper_set_par" },
	{ 0x14fcbecf, "drm_prime_gem_destroy" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper,fb_sys_fops,sysimgblt,sysfillrect,syscopyarea");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");
MODULE_INFO(rhelversion, "9.6");
