#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0x2af39f32, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0xa3f70938, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x158e0b9b, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x32b4a467, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x5fa1ef4e, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x6568f04d, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0x75f8604f, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0x4dfffbfe, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x87d090ca, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0x9d3ed346, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0x51550fed, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0xf19edf71, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xf3cf3332, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x9cf5137a, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0x7ad402b9, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0x38360605, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6323112c, "vmf_insert_pfn" },
	{ 0x42fb5279, "ww_mutex_lock_interruptible" },
	{ 0xdae2da26, "drm_gem_get_pages" },
	{ 0x365aa39c, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xde44ef27, "invalidate_mapping_pages" },
	{ 0xa510528a, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x855f2f78, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0xa941cb75, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x2dbcacd3, "drm_gem_create_mmap_offset" },
	{ 0x2f4e5b73, "drm_gem_object_init" },
	{ 0x58274780, "dev_driver_string" },
	{ 0x38844ed9, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xfa86ae6a, "drm_gem_vm_close" },
	{ 0x78c58300, "drm_gem_vm_open" },
	{ 0x830b9f9f, "down_write" },
	{ 0x8422e0a0, "up_write" },
	{ 0xbc4ba1a6, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6fdf67fe, "ww_mutex_lock" },
	{ 0xdf6fc0b2, "vmap" },
	{ 0xfa3ae6e4, "drm_gem_handle_create" },
	{ 0x830291d4, "__drm_dev_dbg" },
	{ 0xe5e0ec2c, "drm_prime_pages_to_sg" },
	{ 0xe0e731b6, "dma_buf_vunmap" },
	{ 0xe1b65303, "shmem_truncate_range" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0xd2de46bd, "dma_map_sgtable" },
	{ 0x70fad62e, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1d50faa8, "dma_unmap_sg_attrs" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x4acd5ef2, "drm_gem_put_pages" },
	{ 0x877a71ca, "drm_gem_private_object_fini" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x14fcbecf, "drm_prime_gem_destroy" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "0376228694C0E6761CA8C54");
MODULE_INFO(rhelversion, "9.6");
