#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0x0f7ff5da, "");
SYMBOL_CRC(host1x_device_exit, 0x79eb284a, "");
SYMBOL_CRC(host1x_driver_register_full, 0x0c72a5ae, "");
SYMBOL_CRC(host1x_driver_unregister, 0xf4aa17df, "");
SYMBOL_CRC(__host1x_client_init, 0xb41f3809, "");
SYMBOL_CRC(host1x_client_exit, 0x8d3e3842, "");
SYMBOL_CRC(__host1x_client_register, 0x52bcac9e, "");
SYMBOL_CRC(host1x_client_unregister, 0x7e9fe728, "");
SYMBOL_CRC(host1x_client_suspend, 0xd1eebe02, "");
SYMBOL_CRC(host1x_client_resume, 0xa95154a5, "");
SYMBOL_CRC(host1x_bo_pin, 0xc5b1e676, "");
SYMBOL_CRC(host1x_bo_unpin, 0x16ad2e0c, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0x46d5a22b, "");
SYMBOL_CRC(host1x_syncpt_id, 0xd83c9a5a, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0x2b0daf09, "");
SYMBOL_CRC(host1x_syncpt_incr, 0x5b02bccc, "");
SYMBOL_CRC(host1x_syncpt_wait, 0x66c34f0d, "");
SYMBOL_CRC(host1x_syncpt_request, 0x7953cd9e, "");
SYMBOL_CRC(host1x_syncpt_put, 0xfe2bc123, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0x3d577824, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0x992f953c, "");
SYMBOL_CRC(host1x_syncpt_read, 0xd5c75818, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0x506b7e5e, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0xc95da627, "");
SYMBOL_CRC(host1x_syncpt_get, 0xc64356e8, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0xb1d511e4, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0xf36fd952, "");
SYMBOL_CRC(host1x_get_dma_mask, 0x22a7cc1e, "");
SYMBOL_CRC(host1x_job_submit, 0x9c610113, "");
SYMBOL_CRC(host1x_channel_get, 0x462ca3a2, "");
SYMBOL_CRC(host1x_channel_stop, 0x5318aba7, "");
SYMBOL_CRC(host1x_channel_put, 0xa2eada95, "");
SYMBOL_CRC(host1x_channel_request, 0xa8a992ba, "");
SYMBOL_CRC(host1x_job_alloc, 0x7780bcaa, "");
SYMBOL_CRC(host1x_job_get, 0x50db03d9, "");
SYMBOL_CRC(host1x_job_put, 0x18844b54, "");
SYMBOL_CRC(host1x_job_add_gather, 0xedf011d5, "");
SYMBOL_CRC(host1x_job_add_wait, 0x4f8fd83b, "");
SYMBOL_CRC(host1x_job_pin, 0x3090d72b, "");
SYMBOL_CRC(host1x_job_unpin, 0x7031b1c9, "");
SYMBOL_CRC(tegra_mipi_request, 0xd4539489, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0x09903fe9, "");
SYMBOL_CRC(host1x_fence_cancel, 0x8e48f85f, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x2f82faca, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0x2b72eb47, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0x88efea8a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf78b15db, "iommu_map_sg" },
	{ 0xec9c37cf, "platform_device_put" },
	{ 0x343c7e95, "dma_fence_signal_locked" },
	{ 0x5ab8176b, "devm_platform_ioremap_resource" },
	{ 0x2088ea25, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0xd59317f0, "devm_request_threaded_irq" },
	{ 0x2056fc8a, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0xc0bc2530, "devm_platform_get_and_ioremap_resource" },
	{ 0x20e1aaa1, "dev_set_name" },
	{ 0x71cd7151, "of_find_device_by_node" },
	{ 0x19d3a434, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24afc85e, "trace_raw_output_prep" },
	{ 0x14c5984a, "iommu_group_get" },
	{ 0xeafac464, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xd3e82136, "trace_event_printf" },
	{ 0xf1d1ddcd, "free_iova" },
	{ 0x7cb249fc, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x294bd436, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x89f0e703, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa229d209, "pm_generic_poweroff" },
	{ 0xc77a4b0d, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4fdc32ce, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x5d7ee829, "event_triggers_call" },
	{ 0xd85c63ce, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x875971b9, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xdcaae604, "devm_clk_get" },
	{ 0xf8bf3d68, "dma_fence_wait_timeout" },
	{ 0x6fd5810b, "__free_iova" },
	{ 0x436a677b, "trace_event_buffer_commit" },
	{ 0x1e72e4bc, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xa02b6276, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf1f7f6e6, "iommu_detach_group" },
	{ 0xd1cb910c, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x37270586, "put_device" },
	{ 0x862ca6fd, "trace_event_ignore_this_pid" },
	{ 0x4b988f7c, "pm_runtime_enable" },
	{ 0x44ad34d0, "alloc_iova" },
	{ 0x83f6ba2d, "devm_tegra_core_dev_init_opp_table" },
	{ 0xeef405c1, "platform_get_irq_byname_optional" },
	{ 0xb741a0b6, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0xcfde7210, "pm_generic_suspend" },
	{ 0x65927bca, "iommu_get_domain_for_dev" },
	{ 0xddd35f7f, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xa591eec1, "put_iova_domain" },
	{ 0x892faf58, "perf_trace_run_bpf_submit" },
	{ 0x821e8db, "bus_unregister" },
	{ 0xd5667f34, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0xd4df3945, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x961be0f5, "device_add" },
	{ 0xa484e852, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xf00c72c6, "iommu_domain_alloc" },
	{ 0x79214d2d, "iommu_unmap" },
	{ 0x8f07293, "dma_fence_signal" },
	{ 0x48fcc351, "bpf_trace_run5" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x47b5a4e7, "dma_alloc_attrs" },
	{ 0x1f1ff644, "debugfs_remove" },
	{ 0xb91fe9c7, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0x2d9fbcf5, "of_property_count_elems_of_size" },
	{ 0xc09cbc02, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x22323179, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x49d48234, "of_device_is_available" },
	{ 0x670e428e, "dma_fence_init" },
	{ 0x4cda6c2e, "mutex_lock_interruptible" },
	{ 0xe946f5a1, "host1x_context_device_bus_type" },
	{ 0xc916d0e6, "bpf_trace_run1" },
	{ 0xaa86d4ad, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6cc0d5bc, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xe3678843, "debugfs_create_u32" },
	{ 0x60a4ee94, "devm_platform_ioremap_resource_byname" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x51a589c9, "dma_set_coherent_mask" },
	{ 0x9d91f63e, "bpf_trace_run3" },
	{ 0x10dd0ef, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4604cd9e, "debugfs_create_file" },
	{ 0x5104a437, "dma_free_attrs" },
	{ 0x8764f010, "trace_event_buffer_reserve" },
	{ 0xbe0e7d85, "__pm_runtime_resume" },
	{ 0x6b7d1d89, "init_iova_domain" },
	{ 0x84e54456, "__devm_reset_control_bulk_get" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x877283cb, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc9a27fc, "seq_write" },
	{ 0x66eb2486, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbb3f215c, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x8e27b112, "iommu_map" },
	{ 0xd05697ef, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa089194, "dma_set_mask" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x614c4497, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x24d0cdea, "iommu_attach_group" },
	{ 0xe48e379b, "single_open" },
	{ 0x3f548644, "of_device_get_match_data" },
	{ 0xb96bb9cb, "pm_generic_restore" },
	{ 0x581b6482, "__pm_runtime_disable" },
	{ 0xd4cb4125, "debugfs_create_dir" },
	{ 0x8130437e, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x45b49f74, "platform_unregister_drivers" },
	{ 0x755c83f7, "pm_runtime_force_suspend" },
	{ 0x1d8fd4db, "driver_register" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x12ae9d9c, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x62e5299f, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x7822aa5e, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "D0E359044FCD4E486F4089A");
MODULE_INFO(rhelversion, "9.6");
