#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cec_allocate_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_register_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_unregister_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_delete_adapter, "_gpl", "");
KSYMTAB_FUNC(cec_get_edid_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_fill_conn_info_from_drm, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_cec_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_hpd_event, "_gpl", "");
KSYMTAB_FUNC(cec_queue_pin_5v_event, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_attempt_done_ts, "_gpl", "");
KSYMTAB_FUNC(cec_transmit_msg, "_gpl", "");
KSYMTAB_FUNC(cec_received_msg_ts, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr, "_gpl", "");
KSYMTAB_FUNC(cec_s_phys_addr_from_edid, "_gpl", "");
KSYMTAB_FUNC(cec_s_conn_info, "_gpl", "");
KSYMTAB_FUNC(cec_s_log_addrs, "_gpl", "");

SYMBOL_CRC(cec_allocate_adapter, 0xb47f0465, "_gpl");
SYMBOL_CRC(cec_register_adapter, 0x8a579a3a, "_gpl");
SYMBOL_CRC(cec_unregister_adapter, 0xcfa2dec2, "_gpl");
SYMBOL_CRC(cec_delete_adapter, 0x2986ffe9, "_gpl");
SYMBOL_CRC(cec_get_edid_phys_addr, 0xbe4de675, "_gpl");
SYMBOL_CRC(cec_fill_conn_info_from_drm, 0xf3705dd7, "_gpl");
SYMBOL_CRC(cec_queue_pin_cec_event, 0xb72a7ab2, "_gpl");
SYMBOL_CRC(cec_queue_pin_hpd_event, 0xfbf8548b, "_gpl");
SYMBOL_CRC(cec_queue_pin_5v_event, 0xf78f54a0, "_gpl");
SYMBOL_CRC(cec_transmit_done_ts, 0x72bb09da, "_gpl");
SYMBOL_CRC(cec_transmit_attempt_done_ts, 0x516c85f5, "_gpl");
SYMBOL_CRC(cec_transmit_msg, 0x91b8d378, "_gpl");
SYMBOL_CRC(cec_received_msg_ts, 0xf515cc91, "_gpl");
SYMBOL_CRC(cec_s_phys_addr, 0xee539670, "_gpl");
SYMBOL_CRC(cec_s_phys_addr_from_edid, 0xddcbb880, "_gpl");
SYMBOL_CRC(cec_s_conn_info, 0x5eca6db0, "_gpl");
SYMBOL_CRC(cec_s_log_addrs, 0x1f2ffdd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x20e1aaa1, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x50e57e5, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x79b50e91, "finish_wait" },
	{ 0x294bd436, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc77a4b0d, "seq_lseek" },
	{ 0x51dc6b47, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xc43d54bf, "__wake_up" },
	{ 0xc89f1575, "get_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6f483f2a, "wake_up_process" },
	{ 0x92997ed8, "_printk" },
	{ 0xe8b40b88, "cdev_device_add" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x952ab871, "debugfs_create_devm_seqfile" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x37270586, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xc6cbbc89, "capable" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x821e8db, "bus_unregister" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x1f1ff644, "debugfs_remove" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdf4d1e04, "kthread_stop" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc4fba77a, "__init_waitqueue_head" },
	{ 0x7ed08127, "kthread_create_on_node" },
	{ 0x10dd0ef, "seq_read" },
	{ 0x4604cd9e, "debugfs_create_file" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb5d44309, "param_ops_bool" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xd7e75283, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbb3f215c, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x6c604ab5, "seq_puts" },
	{ 0xd05697ef, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xb7963ac, "param_ops_int" },
	{ 0xe48e379b, "single_open" },
	{ 0xd4cb4125, "debugfs_create_dir" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x55342d03, "cdev_init" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x7822aa5e, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "13504F5D380BA58ACD4AAC7");
MODULE_INFO(rhelversion, "9.6");
