#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x6d7605d6, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x185018bd, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x35122fec, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xcaba5bc4, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x27b972dd, "_gpl");
SYMBOL_CRC(stmmac_resume, 0x84fbc0b1, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfafc804, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x4e92712d, "xsk_tx_completed" },
	{ 0x368b9d5f, "napi_alloc_skb" },
	{ 0x9c47af22, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4d73f549, "xp_alloc" },
	{ 0xaad9959f, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3f7c30d2, "bpf_prog_put" },
	{ 0x5e0ca9ed, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x1499723e, "xp_dma_map" },
	{ 0x666cd572, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x2056fc8a, "devm_kmalloc" },
	{ 0xf1893ccb, "eth_mac_addr" },
	{ 0x245533fa, "skb_put" },
	{ 0x14b03c54, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb7dfa04b, "netdev_update_features" },
	{ 0x217baa30, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xeb6226f7, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d334132, "hrtimer_try_to_cancel" },
	{ 0x60d285e3, "bpf_warn_invalid_xdp_action" },
	{ 0x3053ae, "unregister_netdev" },
	{ 0x5042ea17, "xdp_convert_zc_to_xdp_frame" },
	{ 0xa3eea09b, "xdp_features_set_redirect_target" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xebbcc2bf, "gpiod_set_value_cansleep" },
	{ 0xe51630c, "dma_unmap_page_attrs" },
	{ 0xda8714d2, "hrtimer_init" },
	{ 0x82a30a61, "skb_add_rx_frag" },
	{ 0x8c64991e, "get_device_system_crosststamp" },
	{ 0x64dd8589, "ptp_clock_index" },
	{ 0x2ad97d3d, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xc77a4b0d, "seq_lseek" },
	{ 0xa2b3a06e, "page_pool_destroy" },
	{ 0xb702f073, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x990c7062, "netdev_warn" },
	{ 0x51ca8f3d, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc43d54bf, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xf40b40af, "flow_rule_match_ipv4_addrs" },
	{ 0xe5fcbce1, "xdp_rxq_info_unreg_mem_model" },
	{ 0x23d9649f, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x43d71cdc, "netdev_err" },
	{ 0x3d4422a, "phylink_limit_mac_speed" },
	{ 0xc7ea4e18, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0x58274780, "dev_driver_string" },
	{ 0x8eaad82b, "pinctrl_pm_select_default_state" },
	{ 0x82513d27, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2b67473f, "eth_type_trans" },
	{ 0x6b93f4d0, "__pm_runtime_set_status" },
	{ 0x985fc9ce, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x5cd4c7f3, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x518f98c2, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4f83322c, "pm_wakeup_dev_event" },
	{ 0x7b7a6555, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x4b270db8, "__napi_schedule" },
	{ 0x4b988f7c, "pm_runtime_enable" },
	{ 0x4f670801, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x4d967d36, "netif_device_detach" },
	{ 0xf47bccd9, "device_property_read_u32_array" },
	{ 0x8eed0697, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x5ecc783f, "rt_write_unlock" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0xdaf49118, "xpcs_create_mdiodev" },
	{ 0x5ec64011, "napi_gro_receive" },
	{ 0x6debc39e, "netif_device_attach" },
	{ 0xdb49a62a, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x2cbfcfb7, "netdev_pick_tx" },
	{ 0xbc8d5d3a, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x1eafa2b0, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x19d02bac, "xdp_rxq_info_is_reg" },
	{ 0xb97d7c71, "devm_alloc_etherdev_mqs" },
	{ 0x3568f8f2, "flow_block_cb_setup_simple" },
	{ 0x43609f8d, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x5b1ca4bb, "dev_open" },
	{ 0x64030d4f, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0xd5667f34, "_dev_err" },
	{ 0x478ad8d9, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xe42d154, "pinctrl_pm_select_sleep_state" },
	{ 0xbf733728, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf61c0ab, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xebe93ba9, "ptp_clock_register" },
	{ 0xba79b9e3, "xp_dma_sync_for_cpu_slow" },
	{ 0x9912bc23, "xsk_tx_peek_desc" },
	{ 0x69887934, "__of_mdiobus_register" },
	{ 0x62f3da82, "__traceiter_xdp_exception" },
	{ 0x35a3f9e5, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xcf1c8a93, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x3e4fb7ad, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x47b5a4e7, "dma_alloc_attrs" },
	{ 0x1f1ff644, "debugfs_remove" },
	{ 0xfe1a5a56, "napi_enable" },
	{ 0x7771caef, "xsk_clear_rx_need_wakeup" },
	{ 0x3836b845, "xpcs_get_interfaces" },
	{ 0xc83608df, "xsk_uses_need_wakeup" },
	{ 0x99258954, "register_netdev" },
	{ 0x83523a11, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x392fdbf8, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0xe252ce8d, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe3214cba, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x2bc85a49, "netif_tx_wake_queue" },
	{ 0x4e93288c, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x3617c2d3, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0x5702c7a3, "flow_rule_match_ports" },
	{ 0x316f91e9, "phylink_fwnode_phy_connect" },
	{ 0xb8e3ce96, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc986df7c, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x7d806946, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdc6de1af, "fwnode_get_named_child_node" },
	{ 0xc4fba77a, "__init_waitqueue_head" },
	{ 0xf5dc7bcb, "ptp_clock_unregister" },
	{ 0xcc0dac90, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x82ddd37a, "xpcs_get_an_mode" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5eb5d504, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3d8b0f13, "xdp_return_frame_rx_napi" },
	{ 0x2aa75e20, "netdev_alert" },
	{ 0x51a589c9, "dma_set_coherent_mask" },
	{ 0x10dd0ef, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xa0e8a2a7, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0xf271bbbc, "rt_read_lock" },
	{ 0x7732cfe8, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4604cd9e, "debugfs_create_file" },
	{ 0xbf85e74b, "xsk_set_tx_need_wakeup" },
	{ 0x5104a437, "dma_free_attrs" },
	{ 0xbe0e7d85, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x5e70c9c2, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9c54389b, "xp_set_rxq_info" },
	{ 0x411d841d, "flow_rule_match_vlan" },
	{ 0xbcdd539a, "xdp_rxq_info_unreg" },
	{ 0x6dcd8d90, "page_pool_alloc_pages" },
	{ 0x80549ed7, "__xdp_rxq_info_reg" },
	{ 0x37c364c3, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe03a05c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbb3f215c, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x9f2c2c91, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc873df2d, "netif_carrier_on" },
	{ 0x9a3f03b0, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8cda9652, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x85819ae1, "xp_free" },
	{ 0xd05697ef, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa089194, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x5c2cb57c, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x74ba34d, "xdp_master_redirect" },
	{ 0x31a623f4, "fwnode_handle_put" },
	{ 0x865ed8ef, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x71198620, "napi_schedule_prep" },
	{ 0x347aee58, "napi_disable" },
	{ 0x5b147705, "dev_kfree_skb_any_reason" },
	{ 0xf541bfd4, "eth_header_parse_protocol" },
	{ 0xb7963ac, "param_ops_int" },
	{ 0xe48e379b, "single_open" },
	{ 0x581b6482, "__pm_runtime_disable" },
	{ 0xd4cb4125, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x14fdf85d, "skb_clone_tx_timestamp" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x62e5299f, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x722f6cda, "ethtool_op_get_ts_info" },
	{ 0xd065f7e9, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf035937c, "__dev_fwnode" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xc0f3a5eb, "netdev_info" },
	{ 0xe165af62, "page_pool_put_unrefed_page" },
	{ 0xe6604acb, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "2BBB73C3BC82288040E2149");
MODULE_INFO(rhelversion, "9.6");
