#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(am65_cpts_ns_gettime, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_estf_enable, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_estf_disable, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_rx_enable, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_tx_timestamp, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_prep_tx_timestamp, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_phc_index, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_release, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_create, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_suspend, "_gpl", "");
KSYMTAB_FUNC(am65_cpts_resume, "_gpl", "");

SYMBOL_CRC(am65_cpts_ns_gettime, 0x405b51c2, "_gpl");
SYMBOL_CRC(am65_cpts_estf_enable, 0xbfc83e4d, "_gpl");
SYMBOL_CRC(am65_cpts_estf_disable, 0xb60b988a, "_gpl");
SYMBOL_CRC(am65_cpts_rx_enable, 0x91fd3558, "_gpl");
SYMBOL_CRC(am65_cpts_tx_timestamp, 0x42a89c86, "_gpl");
SYMBOL_CRC(am65_cpts_prep_tx_timestamp, 0x46a2345c, "_gpl");
SYMBOL_CRC(am65_cpts_phc_index, 0xfca9b9d9, "_gpl");
SYMBOL_CRC(am65_cpts_release, 0x6ab9a4a1, "_gpl");
SYMBOL_CRC(am65_cpts_create, 0x21c76109, "_gpl");
SYMBOL_CRC(am65_cpts_suspend, 0x828c824a, "_gpl");
SYMBOL_CRC(am65_cpts_resume, 0xe0cbdf78, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5b147705, "dev_kfree_skb_any_reason" },
	{ 0x875971b9, "__dynamic_dev_dbg" },
	{ 0x14b03c54, "skb_tstamp_tx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd6a783d8, "of_clk_del_provider" },
	{ 0x3bf4e034, "clk_hw_unregister_mux" },
	{ 0xe3be596, "__platform_driver_register" },
	{ 0xa5ff9b95, "platform_driver_unregister" },
	{ 0x8cddf12f, "ptp_classify_raw" },
	{ 0x9fabb2dc, "ptp_parse_header" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xbef61bc9, "skb_queue_tail" },
	{ 0xee7c90a, "ptp_schedule_worker" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1f75044, "of_get_child_by_name" },
	{ 0xdfebee84, "of_clk_get_parent_count" },
	{ 0x2056fc8a, "devm_kmalloc" },
	{ 0x98b0eb7e, "of_clk_parent_fill" },
	{ 0xc20b1e58, "devm_kasprintf" },
	{ 0xbd9fea1a, "__clk_hw_register_mux" },
	{ 0x386f9e4b, "of_clk_hw_simple_get" },
	{ 0x18d7f65a, "of_clk_add_hw_provider" },
	{ 0x3282a6e0, "__devm_add_action" },
	{ 0xd5667f34, "_dev_err" },
	{ 0xf5dc7bcb, "ptp_clock_unregister" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x815588a6, "clk_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc986df7c, "ptp_clock_event" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5d112304, "__memcpy_fromio" },
	{ 0x708eb915, "of_irq_get_byname" },
	{ 0x42a9c12, "of_property_read_variable_u32_array" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x9a786b2a, "devm_get_clk_from_child" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x4829a47e, "memcpy" },
	{ 0xebe93ba9, "ptp_clock_register" },
	{ 0x64dd8589, "ptp_clock_index" },
	{ 0xd59317f0, "devm_request_threaded_irq" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0x5c2cb57c, "dev_err_probe" },
	{ 0x60a4ee94, "devm_platform_ioremap_resource_byname" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "ptp");

MODULE_ALIAS("of:N*T*Cti,am65-cpts");
MODULE_ALIAS("of:N*T*Cti,am65-cptsC*");
MODULE_ALIAS("of:N*T*Cti,j721e-cpts");
MODULE_ALIAS("of:N*T*Cti,j721e-cptsC*");

MODULE_INFO(srcversion, "9C66B1F3B2603D0CAC1B6B1");
MODULE_INFO(rhelversion, "9.6");
