#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xae5790ff, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x25bf8d61, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x721cee9f, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xd898e7eb, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xc794c6c4, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0xf030a56c, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x4da848e2, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x2d880dec, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x6a4fa161, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xc068a060, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xc64d11b8, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x49305068, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x4fbc830b, "_gpl");
SYMBOL_CRC(usbnet_open, 0x7b76bef5, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x9ccf08cf, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x9e128b30, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xb50a9039, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x17e0d6ff, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xc7c47bb5, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xf6b2555f, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x98224636, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x8277791e, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xad17d722, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xdfc67d3b, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x72eadb32, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xcdbfa7f7, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x67c6b5f4, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xb7f770c5, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x77cdb758, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x670e1bf9, "");
SYMBOL_CRC(usbnet_manage_power, 0xe4864534, "");
SYMBOL_CRC(usbnet_link_change, 0x4eb5a7e4, "");
SYMBOL_CRC(usbnet_read_cmd, 0x90c703c1, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x9595aa5f, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x534a6da5, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x5336f468, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x2304151f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8d086428, "usb_set_interface" },
	{ 0xf583ed08, "usb_string" },
	{ 0x875971b9, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x5eb5d504, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x2d5d7b4, "skb_queue_purge_reason" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x354e4fc2, "usb_get_urb" },
	{ 0x76850a65, "usb_unlink_urb" },
	{ 0xa2d9c7fe, "usb_free_urb" },
	{ 0x9aa55c39, "usb_submit_urb" },
	{ 0x43d71cdc, "netdev_err" },
	{ 0x35ea0196, "mii_ethtool_get_link_ksettings" },
	{ 0xfd491742, "mii_ethtool_set_link_ksettings" },
	{ 0x53591026, "mii_nway_restart" },
	{ 0xb98e1511, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0x3053ae, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x996a7806, "usb_scuttle_anchored_urbs" },
	{ 0xc45cc9f5, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x25456082, "free_netdev" },
	{ 0xc0f3a5eb, "netdev_info" },
	{ 0xc873df2d, "netif_carrier_on" },
	{ 0xbe03a05c, "netif_carrier_off" },
	{ 0x2bde8539, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x93fafe98, "usb_autopm_get_interface" },
	{ 0x98d44175, "usb_autopm_put_interface" },
	{ 0xfa1eb13c, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xece68117, "mii_link_ok" },
	{ 0xe3214cba, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x91a31592, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x27b019cf, "remove_wait_queue" },
	{ 0x4d967d36, "netif_device_detach" },
	{ 0x6debc39e, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2a17df35, "skb_defer_rx_timestamp" },
	{ 0x6573e9ba, "netif_rx" },
	{ 0x2b67473f, "eth_type_trans" },
	{ 0xbef61bc9, "skb_queue_tail" },
	{ 0xbb9c0ae5, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xc4fba77a, "__init_waitqueue_head" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x99258954, "register_netdev" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x4b988f7c, "pm_runtime_enable" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9134f5aa, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x14fdf85d, "skb_clone_tx_timestamp" },
	{ 0xcd7bb564, "usb_autopm_get_interface_async" },
	{ 0x5b147705, "dev_kfree_skb_any_reason" },
	{ 0x14b03c54, "skb_tstamp_tx" },
	{ 0x5ba2d4a5, "usb_anchor_urb" },
	{ 0x71d324f3, "__netdev_alloc_skb" },
	{ 0x217baa30, "consume_skb" },
	{ 0x2bc85a49, "netif_tx_wake_queue" },
	{ 0xc43d54bf, "__wake_up" },
	{ 0x4f3171db, "usb_autopm_get_interface_no_resume" },
	{ 0x84e38a84, "usb_get_from_anchor" },
	{ 0x245533fa, "skb_put" },
	{ 0xdc2ed3d2, "usb_clear_halt" },
	{ 0xf1893ccb, "eth_mac_addr" },
	{ 0xc11b76fc, "eth_validate_addr" },
	{ 0xdbe61b6e, "dev_get_tstats64" },
	{ 0x722f6cda, "ethtool_op_get_ts_info" },
	{ 0xb7963ac, "param_ops_int" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
