#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x971ef551, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xc9c4a143, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xd1dcd624, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x07c2da32, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xefe7f5e1, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xd8311bd0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83cce399, "ida_alloc_range" },
	{ 0x4c0d5b72, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb34eb3f, "__nlmsg_put" },
	{ 0x245533fa, "skb_put" },
	{ 0x20e1aaa1, "dev_set_name" },
	{ 0x217baa30, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeafac464, "device_unregister" },
	{ 0x9134f5aa, "skb_dequeue" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x79b50e91, "finish_wait" },
	{ 0x8c3eb1b7, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xa0d0b866, "device_for_each_child" },
	{ 0x51dc6b47, "prepare_to_wait_event" },
	{ 0xc43d54bf, "__wake_up" },
	{ 0xafefbb2a, "rtnl_create_link" },
	{ 0x514b2090, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x2d5d7b4, "skb_queue_purge_reason" },
	{ 0x2df3b375, "alloc_netdev_mqs" },
	{ 0x41822e7c, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x37270586, "put_device" },
	{ 0x4b7e5846, "__alloc_skb" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0xbef61bc9, "skb_queue_tail" },
	{ 0x768c8c61, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xba40c916, "rtnl_link_unregister" },
	{ 0x22e8097f, "init_net" },
	{ 0xbf733728, "skb_pull" },
	{ 0x746b9923, "sk_skb_reason_drop" },
	{ 0x99b65725, "noop_llseek" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x1f1ff644, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa326d9ef, "ida_free" },
	{ 0x25456082, "free_netdev" },
	{ 0x99bcca4b, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x763c6ffc, "class_dev_iter_init" },
	{ 0xd69cf3b8, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xc4fba77a, "__init_waitqueue_head" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0x68c054d, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6a8641d2, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0xaaf85595, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xd4cb4125, "debugfs_create_dir" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x4d2b7fec, "class_register" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xefa6610f, "skb_queue_head" },
	{ 0x4e22df94, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd5e8b467, "register_netdevice" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
