#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xa5dce9db, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x0d5af112, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xc7961559, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0xdfe2c7be, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x00c91015, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x55a55b52, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x7c04a295, "_gpl");
SYMBOL_CRC(nd_device_notify, 0x4e6f182b, "");
SYMBOL_CRC(nvdimm_region_notify, 0xd6768a56, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xe742e46f, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xff0f2430, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xd4b5ac8b, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x4006bc20, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xecf0a50f, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xab41b995, "");
SYMBOL_CRC(nd_device_unregister, 0x0a6f0d69, "");
SYMBOL_CRC(__nd_driver_register, 0xac825971, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xa7dce8e1, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x77494b08, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xcf68c0b0, "_gpl");
SYMBOL_CRC(to_nvdimm, 0xbd63180d, "_gpl");
SYMBOL_CRC(to_ndd, 0xe996afc8, "");
SYMBOL_CRC(nvdimm_name, 0x90d2fee0, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x4eb8510e, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x4aa89dc0, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x1fea001b, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x29c2c788, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0xa4ee77f3, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xb8fd1069, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xa0ac3433, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xf41cce86, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0xd6cc63be, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x7634d4c2, "_gpl");
SYMBOL_CRC(to_nd_region, 0xad61cd45, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x6aa2d98e, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x85182e42, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x41d6b9e3, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x94b43f9e, "");
SYMBOL_CRC(nd_region_release_lane, 0x31aaf4c7, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x58fbd323, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0xc4cc3429, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xd0a54712, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x435a15d4, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x493b755c, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x6583512c, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x2a56a59a, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x3bd6497b, "");
SYMBOL_CRC(pmem_sector_size, 0x7880dbde, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x5c3138ad, "");
SYMBOL_CRC(nd_dev_to_uuid, 0xbf7ffb26, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xf961a58a, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0xc665c850, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x5fad1a70, "");
SYMBOL_CRC(devm_namespace_enable, 0xda758086, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xa2d74d8e, "_gpl");
SYMBOL_CRC(badrange_init, 0xfba6c259, "_gpl");
SYMBOL_CRC(badrange_add, 0x2484f09f, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd17e030f, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xdce27427, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x82b100bf, "");
SYMBOL_CRC(is_nd_btt, 0xae0d351d, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x2784acbc, "");
SYMBOL_CRC(nd_btt_version, 0x195eb729, "");
SYMBOL_CRC(nd_btt_probe, 0x84375584, "");
SYMBOL_CRC(to_nd_pfn, 0x9cb3d0b5, "");
SYMBOL_CRC(is_nd_pfn, 0xc1aee1fe, "");
SYMBOL_CRC(nd_pfn_validate, 0x18a6ba1f, "");
SYMBOL_CRC(nd_pfn_probe, 0x5c2c9d80, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x5b03e145, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x0353cad8, "");
SYMBOL_CRC(is_nd_dax, 0xd1199172, "");
SYMBOL_CRC(nd_dax_probe, 0x9c45ac67, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xb8c3483a, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x83cce399, "ida_alloc_range" },
	{ 0x2a716c1f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5c54bcdc, "ida_destroy" },
	{ 0x2056fc8a, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0xe746a8d9, "devm_memremap" },
	{ 0x20e1aaa1, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfa76441d, "badblocks_set" },
	{ 0xeafac464, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0x79b50e91, "finish_wait" },
	{ 0x4d95d6d1, "memcpy_flushcache" },
	{ 0xac9dfd6f, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x294bd436, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x4fda5b89, "badblocks_exit" },
	{ 0xa0d0b866, "device_for_each_child" },
	{ 0x51dc6b47, "prepare_to_wait_event" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xc43d54bf, "__wake_up" },
	{ 0xc89f1575, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x875971b9, "__dynamic_dev_dbg" },
	{ 0x8efb1fbf, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x58274780, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xc81289d7, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xd53f7065, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x37270586, "put_device" },
	{ 0xd163e533, "badblocks_show" },
	{ 0x420d6301, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0xfdc6cacc, "_dev_info" },
	{ 0x7627e34a, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5f5e4b6, "perf_pmu_migrate_context" },
	{ 0x6997fe9c, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xdc9d9ff2, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x821e8db, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0xd5667f34, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x939463f3, "__cpuhp_setup_state" },
	{ 0x6c1844c6, "devm_memunmap" },
	{ 0xacce839d, "cpu_bit_bitmap" },
	{ 0x961be0f5, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0x99b65725, "noop_llseek" },
	{ 0xc2144dda, "class_create" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0xe4bbc1dd, "kimage_voffset" },
	{ 0x8aa8d639, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xa326d9ef, "ida_free" },
	{ 0xc09cbc02, "driver_unregister" },
	{ 0x4864fc8b, "__cpuhp_state_add_instance" },
	{ 0x93d32d74, "perf_pmu_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8bcc1492, "device_find_child" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc4fba77a, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0xf4021221, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xe5a3f26c, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb5d44309, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x6d88130f, "__devm_release_region" },
	{ 0x8617f162, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xf5ee3e50, "kernfs_put" },
	{ 0x68c054d, "__register_chrdev" },
	{ 0x6f7766ca, "cpu_all_bits" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x91b8da3, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xf5f1bb09, "badblocks_check" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x3282a6e0, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x591ca58d, "badblocks_clear" },
	{ 0xe779b5eb, "devm_init_badblocks" },
	{ 0x98cf60b3, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xb0b93425, "up_read" },
	{ 0x1d8fd4db, "driver_register" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xa0872c55, "__cpuhp_remove_state" },
	{ 0x58e49a6c, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x7822aa5e, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "21037FE1DF9D603C1555962");
MODULE_INFO(rhelversion, "9.6");
