#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x6133faee, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0x6a03f918, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0x3264b9e7, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x1472b60b, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x66efd8f0, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0xc5b41a22, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x390a4538, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x6a929cce, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0xc12ab188, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0x13ad89ee, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0x8a3396ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x965019d, "filp_open" },
	{ 0x83cce399, "ida_alloc_range" },
	{ 0xffadecf4, "bdev_file_open_by_path" },
	{ 0x2a716c1f, "try_module_get" },
	{ 0xf8946ff7, "blk_start_plug" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x5c54bcdc, "ida_destroy" },
	{ 0x77be8d68, "config_group_init" },
	{ 0xc08018a, "radix_tree_insert" },
	{ 0x8becb06c, "bio_add_zone_append_page" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x77bc13a0, "strim" },
	{ 0xea56ebe5, "nvme_auth_extract_key" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x24afc85e, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x12e19e5b, "pci_dev_put" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1da7f663, "radix_tree_lookup" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xd3e82136, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x89f0e703, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x7b99474, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4fdc32ce, "bpf_trace_run2" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x5d7ee829, "event_triggers_call" },
	{ 0x76f54269, "pci_p2pmem_free_sgl" },
	{ 0x530fdb92, "kmem_cache_create" },
	{ 0xc89f1575, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x5858e542, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x37ccf752, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x436a677b, "trace_event_buffer_commit" },
	{ 0xe6e1ed4b, "crypto_destroy_tfm" },
	{ 0xb49601a1, "sg_zero_buffer" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x4ae0fe8f, "mempool_create" },
	{ 0xe12449f, "crypto_alloc_kpp" },
	{ 0xbf1ca2c3, "vfs_fallocate" },
	{ 0x18f087b9, "blkdev_zone_mgmt" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x37270586, "put_device" },
	{ 0x862ca6fd, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xfcc8db13, "mempool_alloc" },
	{ 0xde6a20eb, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x399d9ac8, "nvme_auth_hmac_hash_len" },
	{ 0xead2397, "submit_bio" },
	{ 0x7627e34a, "module_put" },
	{ 0xd39248a4, "pci_p2pdma_distance_many" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc7377310, "nvme_auth_gen_pubkey" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xdc9d9ff2, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x612b94c4, "bio_put" },
	{ 0xb257f2ee, "radix_tree_delete" },
	{ 0x96b0b9ab, "bio_endio" },
	{ 0x417345db, "sg_miter_next" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x892faf58, "perf_trace_run_bpf_submit" },
	{ 0xa90066db, "fput" },
	{ 0x830b9f9f, "down_write" },
	{ 0x8422e0a0, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x7a901d6, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8c9fbcdd, "configfs_register_subsystem" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x5fa3c8c5, "radix_tree_next_chunk" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xaf6b3bc2, "xa_load" },
	{ 0xdeb26ccf, "config_group_init_type_name" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0x89825b7e, "bio_integrity_add_page" },
	{ 0x5a921311, "strncmp" },
	{ 0x7715b80a, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xb91fe9c7, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa674b5a3, "bio_chain" },
	{ 0xa326d9ef, "ida_free" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xdd95d3dc, "pci_p2pdma_enable_store" },
	{ 0x35061b5c, "pci_p2pmem_alloc_sgl" },
	{ 0x9a830192, "bio_add_page" },
	{ 0x743bf072, "crypto_shash_update" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x5cf73788, "bio_integrity_alloc" },
	{ 0xa80efca4, "sg_miter_start" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc916d0e6, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x921ab232, "bio_init" },
	{ 0xdcb764ad, "memset" },
	{ 0xb5ddfe80, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x2e8f1899, "pci_p2pdma_enable_show" },
	{ 0xf4021221, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x90fc2772, "__xa_insert" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x31236e7d, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0x8764f010, "trace_event_buffer_reserve" },
	{ 0x3c0c690e, "crypto_shash_final" },
	{ 0xb9406a0, "vfs_fsync" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xef6ab8de, "xa_destroy" },
	{ 0xa7cac3c4, "xa_find" },
	{ 0xfe1c9ea5, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x611cfdf4, "pci_dev_get" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x1ae5978b, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x11f7ed4c, "hex_to_bin" },
	{ 0x9ea794df, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3c88bc5a, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x55c7f7c0, "xa_find_after" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xdbbc8e80, "pci_p2pmem_find_many" },
	{ 0x54de5840, "crypto_alloc_shash" },
	{ 0x49e1bb97, "nvme_auth_gen_privkey" },
	{ 0x22a4147, "bio_alloc_bioset" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb0b93425, "up_read" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x1f100eb9, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x6e0bdefe, "submit_bio_wait" },
	{ 0x1f716897, "blkdev_report_zones" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0x682ed371, "__blkdev_issue_discard" },
	{ 0x3f86b28c, "fs_bio_set" },
	{ 0x325a114d, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x89402ca9, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "F7F41EFB9E837DDD304288B");
MODULE_INFO(rhelversion, "9.6");
