#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x8b7a65d4, "");
SYMBOL_CRC(sas_remove_host, 0x0f67ce72, "");
SYMBOL_CRC(sas_get_address, 0x52c11830, "");
SYMBOL_CRC(sas_tlr_supported, 0x52f9f5f3, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0x438ab62f, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x98dfa43a, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x5a80008b, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x672fe94c, "");
SYMBOL_CRC(sas_phy_add, 0x35aca247, "");
SYMBOL_CRC(sas_phy_free, 0x6bb42b3b, "");
SYMBOL_CRC(sas_phy_delete, 0xb57bfe2f, "");
SYMBOL_CRC(scsi_is_sas_phy, 0xee307a6e, "");
SYMBOL_CRC(sas_port_alloc, 0x1abda4c1, "");
SYMBOL_CRC(sas_port_alloc_num, 0xda8cc9b0, "");
SYMBOL_CRC(sas_port_add, 0xd70a97f4, "");
SYMBOL_CRC(sas_port_free, 0xe78f232a, "");
SYMBOL_CRC(sas_port_delete, 0xd68cbfbd, "");
SYMBOL_CRC(scsi_is_sas_port, 0xa8f064aa, "");
SYMBOL_CRC(sas_port_get_phy, 0x0eb92d94, "");
SYMBOL_CRC(sas_port_add_phy, 0x81079655, "");
SYMBOL_CRC(sas_port_delete_phy, 0xffdf9679, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x8f1035a5, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xb7313644, "");
SYMBOL_CRC(sas_end_device_alloc, 0x114c997d, "");
SYMBOL_CRC(sas_expander_alloc, 0xb554beae, "");
SYMBOL_CRC(sas_rphy_add, 0xe34b89ba, "");
SYMBOL_CRC(sas_rphy_free, 0xdd8ebfd0, "");
SYMBOL_CRC(sas_rphy_delete, 0xaa8dac75, "");
SYMBOL_CRC(sas_rphy_unlink, 0x99ae9fb6, "");
SYMBOL_CRC(sas_rphy_remove, 0xb3ac6563, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x8d7277b7, "");
SYMBOL_CRC(sas_attach_transport, 0x111fb8c0, "");
SYMBOL_CRC(sas_release_transport, 0x0bfe5332, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa0d0b866, "device_for_each_child" },
	{ 0x37270586, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x961be0f5, "device_add" },
	{ 0xac8a17c4, "transport_add_device" },
	{ 0x75050930, "transport_configure_device" },
	{ 0xaa86d4ad, "device_del" },
	{ 0xa546ce16, "transport_destroy_device" },
	{ 0xa62dd1d1, "mutex_lock" },
	{ 0xc89f1575, "get_device" },
	{ 0x2aabdb68, "mutex_unlock" },
	{ 0x4758f918, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xaf3e5b67, "scsi_scan_target" },
	{ 0x2826d07e, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xcfdec26f, "transport_class_register" },
	{ 0x5d3c059b, "transport_class_unregister" },
	{ 0x14469899, "transport_remove_device" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x72a9aa5f, "attribute_container_register" },
	{ 0xc56e6652, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x55213937, "dev_printk" },
	{ 0xab8f8490, "scsi_mode_sense" },
	{ 0xb99bff2, "attribute_container_unregister" },
	{ 0xfc92129e, "scsi_remove_host" },
	{ 0xe2103bab, "bsg_remove_queue" },
	{ 0x5a4d8d37, "scsi_remove_target" },
	{ 0xf3d6ca7c, "scsi_is_host_device" },
	{ 0x4a8d3f2e, "_dev_warn" },
	{ 0x6e1f8bef, "bsg_job_done" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xe0238ce1, "__mutex_rt_init" },
	{ 0x5c0cfa66, "dma_opt_mapping_size" },
	{ 0x294bd436, "device_initialize" },
	{ 0x20e1aaa1, "dev_set_name" },
	{ 0x29656d0f, "transport_setup_device" },
	{ 0xfd29bb8d, "scsi_get_vpd_page" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
