#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x604df26d, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0x2106ec4d, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x89c7ae10, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x0faba3e4, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x98bb706e, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x64a0b99d, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xaafd46f4, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xcabb6023, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x4c51e624, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xbf725588, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xe889ae05, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xe8d14270, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xfd007209, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x0d812989, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x093a2c89, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x55ad50ed, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xee0f406b, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xf706cfc3, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xaa263e42, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x56abe7fb, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x7c0f5b1e, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x0b9e56fa, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x2984955e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3ad0ba, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd0ff4b44, "icmpv6_ndo_send" },
	{ 0x2f65b1cc, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x2df3b375, "alloc_netdev_mqs" },
	{ 0xd5e8b467, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0x25456082, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x514b2090, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdcb764ad, "memset" },
	{ 0xdcbd672f, "ip_route_output_flow" },
	{ 0x4aad4e23, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d2e5a6d, "__dev_get_by_index" },
	{ 0x493c1a5a, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x41313001, "gro_cells_init" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xa589adee, "netdev_state_change" },
	{ 0x73a168ed, "ns_capable" },
	{ 0x3b197494, "dev_set_mtu" },
	{ 0x22e8097f, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x666cd572, "skb_copy_bits" },
	{ 0x8a918c9f, "iptunnel_xmit" },
	{ 0x746b9923, "sk_skb_reason_drop" },
	{ 0x4bdce26a, "__skb_get_hash_net" },
	{ 0x85375c01, "dst_cache_get_ip4" },
	{ 0x79821c1, "dst_cache_set_ip4" },
	{ 0xabb4b749, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1f7872b7, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb0b2401b, "__pskb_pull_tail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xdd902a60, "skb_scrub_packet" },
	{ 0xc9cb2991, "gro_cells_receive" },
	{ 0x92997ed8, "_printk" },
	{ 0x2b67473f, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "56C2F13B968610C56694FD9");
MODULE_INFO(rhelversion, "9.6");
