#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x42741397, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x047ceb61, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x17c04591, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xd32cb99f, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x054e0840, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0xfced99af, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x4e431a01, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x2286ec2a, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xa9e79a20, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0xeb42a510, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x991ca8e7, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x15b815ab, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0xe47bb522, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x335e8c4b, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x13046fda, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x3057aa00, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x93fada57, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xd1eb60c1, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xbb0c904a, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x6e81ab3e, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xc08eea8b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x892faf58, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8764f010, "trace_event_buffer_reserve" },
	{ 0x436a677b, "trace_event_buffer_commit" },
	{ 0x5d7ee829, "event_triggers_call" },
	{ 0x862ca6fd, "trace_event_ignore_this_pid" },
	{ 0x24afc85e, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0xd3e82136, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc916d0e6, "bpf_trace_run1" },
	{ 0x4fdc32ce, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9a3f03b0, "rt_write_lock" },
	{ 0x5ecc783f, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8ab6b9a8, "udp_sock_create6" },
	{ 0x2f8aa259, "kernel_sock_shutdown" },
	{ 0x7fc17f58, "sock_release" },
	{ 0xfe5add34, "sock_create_kern" },
	{ 0xd8392d79, "kernel_bind" },
	{ 0xd9e883ba, "kernel_connect" },
	{ 0x96e65653, "udp_sock_create4" },
	{ 0x1885e3fa, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x141ffbac, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0x66456184, "idr_remove" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0xa8f3bf9c, "idr_find" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x964d076b, "idr_get_next_ul" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf271bbbc, "rt_read_lock" },
	{ 0x37c364c3, "rt_read_unlock" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6fa61da7, "idr_destroy" },
	{ 0x5d35faa1, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x746b9923, "sk_skb_reason_drop" },
	{ 0x9134f5aa, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebda0092, "idr_alloc_u32" },
	{ 0xcee87009, "sockfd_lookup" },
	{ 0xdbeaed26, "lock_sock_nested" },
	{ 0x1f4be2f7, "release_sock" },
	{ 0xc05628af, "idr_replace" },
	{ 0xa90066db, "fput" },
	{ 0x35e2d5fb, "setup_udp_tunnel_sock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbef61bc9, "skb_queue_tail" },
	{ 0x41aa95eb, "ip_queue_xmit" },
	{ 0xabb4b749, "pskb_expand_head" },
	{ 0xb9ef604f, "udp_set_csum" },
	{ 0xdf2a7a5, "inet6_csk_xmit" },
	{ 0xd23935f9, "udp6_set_csum" },
	{ 0x4aad4e23, "dst_release" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb0b2401b, "__pskb_pull_tail" },
	{ 0xb91fe9c7, "trace_event_reg" },
	{ 0x89f0e703, "trace_event_raw_init" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel,ipv6");


MODULE_INFO(srcversion, "AD5370426481A2B1381957D");
MODULE_INFO(rhelversion, "9.6");
