#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x03068a7e, "");
SYMBOL_CRC(tipc_dump_start, 0x4f324d2e, "");
SYMBOL_CRC(tipc_dump_done, 0x8a76baf4, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x434785f5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7edf1ed4, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x4106e543, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x133ed563, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb34eb3f, "__nlmsg_put" },
	{ 0xa8f3bf9c, "idr_find" },
	{ 0x245533fa, "skb_put" },
	{ 0xac42f009, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc8a6092e, "ip6_dst_hoplimit" },
	{ 0x51d638ee, "trace_output_call" },
	{ 0x217baa30, "consume_skb" },
	{ 0x8fc8baa8, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x24afc85e, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x96e65653, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd6801ac2, "rt_mutex_base_init" },
	{ 0xd3e82136, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x7c5fc94a, "__ip_dev_find" },
	{ 0x79821c1, "dst_cache_set_ip4" },
	{ 0x75cfe477, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x31537066, "genlmsg_put" },
	{ 0xc40c19ac, "___pskb_trim" },
	{ 0x89f0e703, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x91a31592, "add_wait_queue" },
	{ 0x263381e, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd93b0c31, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x990c7062, "netdev_warn" },
	{ 0xab7e0d47, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xae01ee2e, "crypto_aead_decrypt" },
	{ 0x5d7ee829, "event_triggers_call" },
	{ 0x11973fd0, "kernel_accept" },
	{ 0x108516cc, "__module_get" },
	{ 0xdcbd672f, "ip_route_output_flow" },
	{ 0x7a54bff9, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8dade06, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xabb4b749, "pskb_expand_head" },
	{ 0x1f8fe33f, "register_pernet_subsys" },
	{ 0x69bc542b, "put_cmsg" },
	{ 0x2d5d7b4, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x436a677b, "trace_event_buffer_commit" },
	{ 0xe6e1ed4b, "crypto_destroy_tfm" },
	{ 0x2b67473f, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x4898db2c, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf4b13d0a, "sock_register" },
	{ 0xc327b530, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x862ca6fd, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x4b7e5846, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5ecc783f, "rt_write_unlock" },
	{ 0xacddf8b8, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x9e2759d2, "skb_try_coalesce" },
	{ 0x1e8da330, "proto_register" },
	{ 0x788c6ea, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4b887ed5, "__wake_up_sync_key" },
	{ 0xbef61bc9, "skb_queue_tail" },
	{ 0x7627e34a, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x66456184, "idr_remove" },
	{ 0xb63c98a3, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x5d2e5a6d, "__dev_get_by_index" },
	{ 0x892faf58, "perf_trace_run_bpf_submit" },
	{ 0x899f3f6c, "__traceiter_sk_data_ready" },
	{ 0x22e8097f, "init_net" },
	{ 0x60e1c6ea, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xbf733728, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x816a37be, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc1f2a21, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x746b9923, "sk_skb_reason_drop" },
	{ 0x5797f727, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3924189, "dev_remove_pack" },
	{ 0x5d35faa1, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x2f8aa259, "kernel_sock_shutdown" },
	{ 0x6eca960d, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x1ba2d337, "skb_push" },
	{ 0x33b611d9, "dst_cache_get" },
	{ 0xe7ad075f, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x584a2948, "proc_doulongvec_minmax" },
	{ 0xb91fe9c7, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6a0f781b, "iov_iter_kvec" },
	{ 0xbf9d290e, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x69d45602, "rhashtable_walk_start_check" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x141ffbac, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xdbeaed26, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf674f2f3, "skb_copy_datagram_iter" },
	{ 0x6bbe1b7c, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xa5d69665, "sk_alloc" },
	{ 0x6fa61da7, "idr_destroy" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x1315fb69, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x1c4183b1, "kfree_skb_partial" },
	{ 0x9ec439f5, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xc4db6cbd, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0xb159918b, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xb0b2401b, "__pskb_pull_tail" },
	{ 0xcc186cbf, "sock_no_sendpage" },
	{ 0x6573e9ba, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x2819aedd, "rhashtable_destroy" },
	{ 0x266fb678, "rt_spin_unlock" },
	{ 0x35e2d5fb, "setup_udp_tunnel_sock" },
	{ 0x8ab6b9a8, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc94ec4af, "skb_trim" },
	{ 0x638de0f2, "rt_spin_lock" },
	{ 0xa97f6482, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9d91f63e, "bpf_trace_run3" },
	{ 0x8dbb8de2, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xec10551d, "sock_rfree" },
	{ 0xf271bbbc, "rt_read_lock" },
	{ 0x594c9792, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaf29e22b, "kernel_listen" },
	{ 0x7cd6bb8, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8764f010, "trace_event_buffer_reserve" },
	{ 0xd074f25f, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xfe5add34, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x3980594d, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7d62c208, "dst_cache_set_ip6" },
	{ 0xb68190c5, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37c364c3, "rt_read_unlock" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x833fb605, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0b436, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8e4e7182, "skb_copy" },
	{ 0x70448bf5, "skb_clone" },
	{ 0x9975f5bb, "dev_get_by_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x9a3f03b0, "rt_write_lock" },
	{ 0x54563f3d, "_copy_from_iter" },
	{ 0x7fc17f58, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x27b019cf, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x9ec842b, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3e41a8a1, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc62005a1, "sk_stop_timer" },
	{ 0xf37f7bc2, "unregister_net_sysctl_table" },
	{ 0xdbfe5121, "genl_unregister_family" },
	{ 0xf561c65, "from_kuid_munged" },
	{ 0xcc0e7815, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc461b5b2, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x98686277, "genl_register_family" },
	{ 0x9287455f, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x643d45fd, "skb_to_sgvec" },
	{ 0x22ab6d82, "rhashtable_walk_exit" },
	{ 0x1885e3fa, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x6879475e, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x70e9f1eb, "kmalloc_caches" },
	{ 0x1f4be2f7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x90813852, "proc_dointvec_minmax" },
	{ 0xd744fa92, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "307CC3DDA3EBA7C711D6D47");
MODULE_INFO(rhelversion, "9.6");
